﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            R&S FSV13: (1 yr) CAL VER /LPNX,4419,LO,SWPG,VNA
DATE:                  2011-08-08
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       3
NUMBER OF LINES:       469
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
CONFIGURATION:         Local Oscillator
CONFIGURATION:         Sweep Generator
CONFIGURATION:         Network Analyzer
=============================================================================
#
#  Procedure Author:
#        DFM
#@
#@ Model(s) Covered:
#@       FSV13
#@
#@ Source(s):
#@       R&S® Service Manual Instrument, Spectrum Analyzer, R&S® FSV3,
#@       R&S® FSV7, R&S® FSV13, R&S® FSV30, R&S® FSV31, R&S® FSV40, Part No.
#@       1307.9331.82-08
#@
#@       R&S® FSV Spectrum Analyzer Data Sheet, Version 06.00, February 2010
#@
#@ Compatibility:
#@       MET/CAL 7.3 SP1 (7.3.36) or later
#@
#  Subprocedures:
#        Sub Display Copyright
#        Sub UUT Connection GPIB
#        Sub MET/CAL Version Check
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Select Failed Test Mode
#        Sub Select Verification Method
#        Sub Connection Precautions (Type N)
#        Sub Connector Precautions (SMA)
#        Sub Connector Precautions (3.5 mm)
#        Sub FSV Set Configuration Variables
#        Sub Check Frequency Reference Accuracy
#        Sub FSV Add'l Equipment Minimum Use Requirements
#        Sub 9640A Check Configuration / Set Parameters
#        Sub EPM Check Cal Factor Table Name IEEE
#        Sub HP/Agilent E441x Cal Factor Utility IEEE
#        Sub EPM-series Review Cal Factors IEEE
#        Sub EPM-series Enter Cal Factors IEEE
#        Sub EPM-series Delete Cal Factors IEEE
#        Sub EPM-series Rename Cal Factors IEEE
#        Sub FSV (1 yr) IF Image Rejection VER /4418,SWPG
#        Sub FSV (1 yr) IF Rejection VER /4418,SWPG
#        Sub FSV IF Image/Rejection Setup /4418,SWPG
#        Sub FSV (1 yr) Third Order VER /LO,SWPG
#        Sub FSV (1 yr) TOI Tests
#        Sub FSV TOI Test /LO,SWPG
#        Sub FSV (1 yr) IF Filter VER /9640
#        Sub FSV IF Filter Bandwidth Switching Test /9640
#        Sub FSV (1 yr) Spurious Response VER
#        Sub FSV (1 yr) Noise Display VER
#        Sub FSV (1 yr) Noise Display Tests
#        Sub FSV (1 yr) Set DANL Tolerance (FSV-B24)
#        Sub FSV (1 yr) Set DANL Tolerance (FSV-B22)
#        Sub FSV (1 yr) Set DANL Tolerance
#        Sub FSV Noise Display Test
#        Sub FSV (1 yr) Level Accuracy VER /LPNX
#        Sub FSV (1 yr) Frequency Response VER /LPNX,4419,SWPG
#        Sub FSV Frequency Response Tests /LPNX
#        Sub FSV (1 yr) Frequency Response Test /LPNX
#        Sub Compute Mismatch Uncertainty (%)
#        Sub FSV Characterize Power Splitter Tracking Errors
#        Sub RIF/WIF Directory
#        Sub WIF Error
#        Sub Characterize Power Splitter /4419,8481,8481,SWPG
#        Sub Level Signal /4419,8481,8481,SWPG
#        Sub Initialization File: Write Parameter
#        Sub FSV Set Frequency Response Test Lvl /4419,SWPG
#        Sub FSV Compute Freq Response Reference Uncertainty
#        Sub FSV Frequency Response Tests /4419,SWPG
#        Sub FSV (1 yr) Frequency Response Test /4419,SWPG
#        Sub FSV Compute Freq Response Test Uncertainty
#        Sub FSV µW Frequency Response Tests /4418,SWPG
#        Sub Level Signal /4418,8481,SWPG
#        Sub FSV µW Frequency Response Test /4418,SWPG
#        Sub FSV (1 yr) Display Nonlinearity VER /LPNX
#        Sub FSV (1 yr) RF Attenuator Uncertainty VER /LPNX
#        Sub FSV-B25 (1 yr) Electronic Attenuator VER /LPNX
#        Sub FSV (1 yr) Phase Noise VER /LPNX
#        Sub FSV (1 yr) RF Input VSWR VER /VNA
#        Sub FSV Set Reference Level (dBm) /9640
#        Sub FSV Set Reference Level (dBm) /SWPG
#        Sub FSV Set Reference Level (dBm) /LO
#        Sub FSV Take Sweep (MKPK, MKCF)
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV Take Sweep (MKCF)
#        Sub FSV Take Sweep Only
#
#  Flexible Driver subprocedures:
#        Sub Initialize /LO (Rev. 1.10 or later)
#        Sub Reset /LO
#        Sub Output Off /LO
#        Sub Apply /LO
#        Sub Send Command /LO (Rev. 1.2 or later)
#
#        Sub Initialize /SWPG (Rev. 1.11 or later)
#        Sub Reset /SWPG
#        Sub Output Off /SWPG
#        Sub Apply /SWPG
#        Sub Get Options /SWPG
#        Sub Get Accuracy /SWPG
#        Sub Send Command /SWPG (Rev. 1.2 or later)
#
#  Required Files:
#        e441x_100mw_rf_sensor_zero.jpg
#        e4419_100mw_rf_sensor_zero.jpg
#        fsv_direct_to_lpnx.jpg
#        fsv_10db_to_lpnx.jpg
#        fsv_rf_freq_resp_swpg.jpg
#        fsv_freq_resp_hookup_swpg.jpg
#        fsv_if_image_hookup_swpg.jpg
#        fsv_toi_hookup_lo_swpg.jpg
#@
#@ Flexible Standard(s) Required:
#@       Synthesized Sweep Generator (SWPG):
#@
#@         Frequency Range: 10 MHz to 10 GHz, CW
#@           Accuracy: ±0.02% (Internal); External Reference capable
#@
#@         Amplitude Range: -40 dBm to +16 dBm
#@           Resolution: 0.02 dB
#@
#@         SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#@
#@         Example: HP 83630B or equivalent
#@
#@       Local Oscillator (LO):
#@
#@         Frequency Range: 10 MHz to 10 GHz, CW
#@           Accuracy: ±0.02% (Internal); External Reference capable
#@
#@         Amplitude Range: -40 dBm to +16 dBm
#@           Resolution: 0.02 dB
#@
#@         SSB Phase Noise: <-80 dBc/Hz @ 50 kHz offset
#@
#@         Example: Anritsu MG3692B or equivalent
#@
#@       Frequency Standard:
#@
#@         Frequency Range: Suitable for use with configured LF counter
#@           Accuracy: ±0.25 ppm or better (standard)
#@                     ±0.025 ppm or better (Option FSV-B4)
#@
#@ Additional Equipment Required:
#@       See "Sub FSV Add'l Equipment Minimum Use Requirements" for specific
#@         equipment, adapters, and cables required.
#@
#  The Procedure was tested using:
#
#        Model No.    : FSV-7
#        Serial No.   : 101682/007
#        Options      : FSP-B5, FSP-B22, FSP-B25, FSP-B70, FSP-K9
#        Firmware Rev.: 1.60 SP1
#
#@ The average run times during testing were:
#@       1 hr., 45 min.
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P J                 Z        A        W

  1.002  IF           0
  1.003  LPNX         Reset
  1.004  IEEE         [@LO]
  1.004  IEEE         [@SWPG]
  1.004  IEEE         [@VNA]
  1.005  ENDIF

  1.006  IF           NOT(VERSIONCHECK("7.3.36"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright

  1.010  HEAD         PRELIMINARY INSTRUCTIONS
  1.011  DISP         Prior to beginning verification, a UUT warm-up time of
  1.011  DISP         15 minutes minimum, must have been allowed to elapse.
  1.011  DISP
  1.011  DISP         Note that the specifications used during the internal
  1.011  DISP         reference frequency verification are based on 30 days
  1.011  DISP         of continuous operation.

  1.012  CALL         Sub UUT Connection GPIB
  1.013  SCPI         SYST:LANG?[I$]
  1.014  MATH         @Language = MEM2

# If original language setting is not SCPI, set to SCPI for verification.
  1.015  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  1.016  SCPI         SYST:LANG 'SCPI'
  1.017  ENDIF

  1.018  HEAD         UUT IDENTIFICATION
  1.019  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.020  MATH         @UUT_Manufacturer  = "Rohde&Schwarz"
  1.021  MATH         @UUT_Model         = "FSV-13"
  1.022  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.023  IF           @Abort
  1.024  END
  1.025  ENDIF

# Extract UUT frequency range from serial number for use in subs.
  1.026  MATH         @UUT_MaxFreq = FLD(@SerialNum, 2, "/") * 1E+9
  1.027  RESET        *CLS

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.028  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.029  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.030  DISP         The file parameter setting is: "acc_check=no"
  1.030  DISP
  1.030  DISP         For correct procedure execution, this parameter
  1.030  DISP         MUST be set to: "acc_check=yes"
  1.030  DISP
  1.030  DISP         Select "Advance" to terminate the procedure, exit
  1.030  DISP         MET/CAL®, change the initialization file parameter,
  1.030  DISP         restart MET/CAL, then restart the procedure.
  1.031  END
  1.032  ENDIF

  1.033  HEAD         SETUP PROCEDURE EXECUTION PARAMETERS
  1.034  CALL         Sub Select Failed Test Mode
  1.035  CALL         Sub Select Verification Method

  1.036  HEAD         CONNECTION INFORMATION
  1.037  OPBR         -z Do you wish to review connector information and
  1.037  OPBR         precautions for the various types of connections
  1.037  OPBR         employed throughout this procedure?[NO]

  1.038  IF           MEM1
  1.039  CALL         Sub Connector Precautions (Type N)
  1.040  CALL         Sub Connector Precautions (SMA)
  1.041  CALL         Sub Connector Precautions (3.5 mm)
  1.042  ENDIF

  1.043  HEAD         PROCEDURE DESCRIPTION
  1.044  DISP         This procedure supports the FSV series Signal
  1.044  DISP         Analyzer and the following option(s):
  1.044  DISP
  1.044  DISP         - FSV-B4  (OCXO, 10 MHz)
  1.044  DISP         - FSV-B24 (RF Preamplifier, 9 kHz to 13.6 GHz)
  1.044  DISP         - FSV-B25 (Electronic Attenuator)
  1.044  DISP         - FSV-B29 (10 Hz Frequency Extension)
  1.044  DISP         - FSV-B70 (40 MHz Analysis Bandwidth)
  1.044  DISP
  1.044  DISP         [32]                       NOTE
  1.044  DISP         Some available UUT options do not require periodic
  1.044  DISP         verification or are not supported.

  1.045  CALL         Sub FSV Set Configuration Variables

  1.046  HEAD         EQUIPMENT REQUIREMENTS
  1.047  CALL         Sub Initialize /LO
  1.048  CALL         Sub Initialize /SWPG
  1.049  MATH         @Abort = 0

  1.050  IF           @Opt_B4
  1.051  MATH         @ReqFreqRefAcc_ppm = 0.025
  1.052  ELSE
  1.053  MATH         @ReqFreqRefAcc_ppm = 0.25
  1.054  ENDIF

  1.055  CALL         Sub Check Frequency Reference Accuracy

  1.056  IF           @Abort
  1.057  END
  1.058  ENDIF

  1.059  CALL         Sub FSV Add'l Equipment Minimum Use Requirements

  1.060  IF           @Abort
  1.061  END
  1.062  ENDIF

  1.063  CALL         Sub 9640A Check Configuration / Set Parameters
  1.064  MATH         FreqRef = INI("startup", "FreqRefDevName")

  1.065  IF           NOT(ZCMP(FreqRef, @9640DevName))
  1.066  DISP         Connect the [V FreqRef] 10 MHz OUT to the
  1.066  DISP         [V @9640DevName] REF FREQUENCY INPUT.
  1.067  ENDIF

  1.068  MATH         @TableName = "8481A,8481A"
  1.069  DISP         2 ea. 8481A Power Sensors are required during the
  1.069  DISP         performance of this verification.
  1.069  DISP
  1.069  DISP         Ensure the 8481A sensor cal factors for the sensor
  1.069  DISP         connected to CHANNEL A ("Reference") are stored in
  1.069  DISP         the applicable Power Meter table.

  1.070  DO
  1.071  HEAD         POWER METER CAL FACTORS
  1.072  CALL         Sub EPM Check Cal Factor Table Name IEEE

  1.073  IF           @Error
  1.074  MATH         MEM1 = 1
  1.075  ELSE
  1.076  HEAD         -2 Cal Factor Maintenance
  1.077  OPBR         -z Do you wish to review, enter, delete, or rename Power
  1.077  OPBR         Meter cal factor table entries for required sensor(s)
  1.077  OPBR         prior to proceeding?
  1.078  ENDIF

  1.079  IF           MEM1
  1.080  CALL         Sub HP/Agilent E441x Cal Factor Utility IEEE
  1.081  ENDIF

  1.082  UNTIL        NOT(@Error)

  1.083  HEAD         POWER SENSOR ZERO and CAL
  1.084  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.085  HEAD         -2 Power Sensor Connections
  1.086  DISP         Connect the 8481A ("Reference") Power Sensor to the
  1.086  DISP         EPM-series Power Meter CHANNEL A.
  1.086  DISP
  1.086  DISP         Connect the 8481A ("Buried") Power Sensor to the
  1.086  DISP         EPM-series Power Meter CHANNEL B.
  1.087  HEAD         -2 Channel A: 8481A ("Reference") Power Sensor
  1.088  PIC          e441x_100mw_rf_sensor_zero.jpg
  1.089  M4419  F64   8481A          Default       8481A          Default
  1.090  4419         1mW                          50MH              CP N  CH1

  1.091  HEAD         -2 Channel B: 8481A ("Buried") Power Sensor
  1.092  DISP         Disconnect 8481A ('Reference') Power Sensor on CHANNEL A
  1.092  DISP         from the Power Meter POWER REF connector.
  1.093  PIC          e4419_100mw_rf_sensor_zero.jpg
  1.094  4419         1mW                          50MH              CP N  CH2

  1.095  RSLT         =
  1.096  HEAD         SELF TEST
  1.097  TARGET
  1.098  HEAD         -2 Performing SELF TEST (~20 seconds duration)...
  1.099  SCPI         SYST:DISP:UPD ON;*TST?[I$]
  1.100  HEAD         -2
  1.101  EVAL   -e ZCMP(MEM2, "0") : SELF TEST

  2.001  SCPI         SYST:PRES

  2.002  RSLT         =
  2.003  HEAD         INTERNAL CAL
  2.004  TARGET
  2.005  HEAD         -2 Performing CAL TOTAL (~1 minute duration)...
  2.006  SCPI         [T60000]CAL:ALL?[I$]
  2.007  HEAD         -2
  2.008  EVAL   -e ZCMP(MEM2, "0") : INTERNAL CAL

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to minimize
# connection changes during execution. Test results, however, are reported in
# test number sequence, consistent with the source documentation.
#
# Tests made on any option are only executed if installed; in the listing
# below, if the next indicated test in the execution order is for an option
# that is not installed in the UUT, the run time order continues to 'drop
# down' until either an installed option or standard instrument characteristic
# is tested.
#
# Rohde & Schwarz FSV13
#
#  Order  Results                            Run Time (Execution)
#  -----  ---------------------------------  ---------------------------------
#    1.   FREQUENCY REFERENCE ACCURACY       SPURIOUS RESPONSES
#    2.   IF IMAGE REJECTION                 NOISE DISPLAY
#    3.   IF REJECTION                       FREQUENCY REFERENCE ACCURACY
#    4.   THIRD ORDER INTERCEPT              IF FILTER
#    5.   IF FILTER                          LEVEL ACCURACY
#    6.   SPURIOUS RESPONSES                 PHASE NOISE
#    7.   NOISE DISPLAY                      FREQUENCY RESPONSE
#    8.   LEVEL ACCURACY                     IF IMAGE REJECTION
#    9.   FREQUENCY RESPONSE                 IF REJECTION
#   10.   DISPLAY NONLINEARITY               THIRD ORDER INTERCEPT
#   11.   RF ATTENUATOR ACCURACY             DISPLAY NONLINEARITY
#   12.   ELEC. ATTENUATOR ACCY (FSV-B25)    RF ATTENUATOR ACCURACY
#   13.   PHASE NOISE                        ELEC. ATTENUATOR ACCY (FSV-B25)

  3.001  JMPL         SPURIOUS

  3.002  LABEL        FREQ_REFERENCE
  3.003  CALL         Sub FSV (1 yr) Frequency Reference VER /9640
  3.004  JMPL         IF_FILTER

  3.005  LABEL        IMAGE
  3.006  CALL         Sub FSV (1 yr) IF Image Rejection VER /4418,SWPG
  3.007  CALL         Sub FSV (1 yr) IF Rejection VER /4418,SWPG
  3.008  CALL         Sub FSV (1 yr) Third Order VER /LO,SWPG
  3.009  JMPL         DISP_NONLINEARITY

  3.010  LABEL        IF_FILTER
  3.011  CALL         Sub FSV (1 yr) IF Filter VER /9640
  3.012  JMPL         LEVEL_ACCURACY

  3.013  LABEL        SPURIOUS
  3.014  CALL         Sub FSV (1 yr) Spurious Response VER
  3.015  CALL         Sub FSV (1 yr) Noise Display VER
  3.016  JMPL         FREQ_REFERENCE

  3.017  LABEL        LEVEL_ACCURACY
  3.018  CALL         Sub FSV (1 yr) Level Accuracy VER /LPNX
  3.019  JMPL         PHASE_NOISE

  3.020  LABEL        FREQ_RESPONSE
  3.021  CALL         Sub FSV (1 yr) Frequency Response VER /LPNX,4419,SWPG
  3.022  JMPL         IMAGE

  3.023  LABEL        DISP_NONLINEARITY
  3.024  CALL         Sub FSV (1 yr) Display Nonlinearity VER /LPNX
  3.025  CALL         Sub FSV (1 yr) RF Attenuator Uncertainty VER /LPNX

  3.026  IF           @Opt_B25
  3.027  CALL         Sub FSV-B25 (1 yr) Electronic Attenuator VER /LPNX
  3.028  ENDIF

  3.029  JMPL         VSWR

  3.030  LABEL        PHASE_NOISE
  3.031  CALL         Sub FSV (1 yr) Phase Noise VER /LPNX
  3.032  JMPL         FREQ_RESPONSE

  3.033  LABEL        VSWR
  3.034  CALL         Sub FSV (1 yr) RF Input VSWR VER /VNA
  3.035  JMPL         TRACK_GEN                    @Opt_B9
  3.036  JMPL         END

  3.037  LABEL        TRACK_GEN
  3.038  RSLT         =
  3.039  HEAD         {TRACKING GENERATOR}
  3.040  RSLT         = Not Tested

  3.041  LABEL        END
# Delete file after verification is complete.
  3.042  DOS          -u cmd /c del "[V @IniFile]"
# If original language setting was not SCPI, return UUT to original setting.
  3.043  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  3.044  SCPI         SYST:LANG [V @Language]
  3.045  ENDIF

  3.046  END
