﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Frequency Response VER /LPNX,4419,SWPG
DATE:                  2011-08-05
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       696
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Agilent E4419B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         HP 8481A on channel 2
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV Series
#
# Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Frequency Response Tests /LPNX
#        Sub FSV Characterize Power Splitter Tracking Errors
#        Sub FSV RF Frequency Response Tests /4419,SWPG
#        Sub FSV µW Frequency Response Tests /4419,SWPG
#        Sub FSV µW Frequency Response Tests /4418,SWPG
#        Sub Initialize /SWPG
#        Sub Reset /SWPG
#
#  Required Files:
#        fsv_rf_freq_resp_swpg.jpg
#        fsv_freq_resp_hookup_swpg.jpg
#
#  Additional Equipment Required:
#        Power Splitter, 50 Ohms, DC to 18 GHz, Type N, HP/Agilent 11667A
#        Adapter, Type N (m) to Type N (m), 50 Ohms
#        Cable, coaxial, BNC (m)-(m), 50 Ohms, 48"
#
#  NOTE ON UNCERTAINTY CALCULATIONS:
#    The reference accuracy is computed as:
#    - Worst case, k = 2
#
#  Methodology:
#
#    The uncertainties shown in the following ACC statements (stated at k=2)
#    were computed including the following components:
#
#   Frequency Response: 1 MHz (100 Hz with FSV-B29) to 201 MHz:
#      - 9640A-LPNX Specified Accuracy
#      - 9640A-LPNX to UUT Mismatch Uncertainty
#
#   Frequency Response, 301 MHz to 3.599 GHz (FSV-7, to 6.999 GHz):
#      - E4419() Instrumentation Accuracy
#      - E4419() Floor Specification
#      - 8481A Power Sensor Cal Factor Uncertainty
#      - 8481A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667A to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8481A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#   Frequency Response, 7.001 GHz to 13.599 GHz (FSV-13):
#      - E4419() Instrumentation Accuracy
#      - 8481A Power Sensor Cal Factor Uncertainty
#      - 8481A to 11667A Power Splitter Mismatch Uncertainty
#      - 11667A to UUT Mismatch Uncertainty
#    During characterization, since only flatness is relevant, not absolute
#    power, only the 8481A Cal Factor Uncertainty, E4419() Instrumentation
#    Accuracy and Floor Specification, along with the various mismatch
#    uncertainties, are pertinent.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  LPNX         Reset
  1.003  M4419  F64   8481A                        8481A
  1.004  4419         *                                                 S
  1.005  IEEE         [@SWPG]
  1.006  ENDIF

  1.007  RSLT         =

  1.008  IF           (@UUT_MaxFreq <= 3.6E+9)
  1.009  HEAD         {FREQUENCY RESPONSE}
  1.010  ELSE
  1.011  HEAD         {FREQUENCY RESPONSE (< 3.6 GHz)}
  1.012  ENDIF

  1.013  RSLT         =
  1.014  RSLT         =RF Attenuation: 5 dB (DC Coupled)
  1.015  TARGET       -p
  1.016  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 5 dB (DC)
  1.017  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.018  SCPI         INP:COUP DC;ATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -5
  1.019  SCPI         CALC:MARK:LOEX ON
  1.020  MATH         @TestName = "5 dB Ref Set (HF)"; @Coupling = "(DC)"
  1.021  MATH         @Connection = "fsv_direct_to_lpnx"; @UUT_SWR = 2.0
  1.022  MATH         @AttenType = "RF Attenuation"; @Atten = 5
  1.023  CALL         Sub FSV Frequency Response Tests /LPNX
  1.024  JMPL         DC_10dB_HF

  1.025  LABEL        START_DC_RF
  1.026  HEAD         -2
  1.027  CALL         Sub FSV Characterize Power Splitter Tracking Errors

  1.028  HEAD         FREQUENCY RESPONSE (< 3.6 GHz)
  1.029  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.030  PIC          fsv_rf_freq_resp_swpg.jpg

  1.031  DISP         Ensure the UUT REF OUT (rear) is connected to the
  1.031  DISP         [V @SWPG_DevName] [V @SWPG_RefIn].

  1.032  IF           (@UUT_MaxFreq < 7E+9)
  1.033  MATH         Time = 29
  1.034  ELSEIF       (@UUT_MaxFreq < 13E+9)
  1.035  MATH         Time = 39
  1.036  ELSEIF       (@UUT_MaxFreq < 30E+9)
  1.037  MATH         Time = 49
  1.038  ENDIF

  1.039  DISP         The next routine operator intervention occurs in
  1.039  DISP         approximately [V Time] minutes, depending on specific
  1.039  DISP         UUT option configuration...

  1.040  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 5 dB (DC)
  1.041  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.042  SCPI         INP:COUP DC;ATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -5
  1.043  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.044  SCPI         DET:FUNC RMS
  1.045  MATH         @TestName = "5 dB Ref Set (RF)"; @Atten = 5
  1.046  MATH         @AttenType = "RF Attenuation"
# Uncertainty determination information.
  1.047  MATH         @DevName1       = "Agilent E4419B"
  1.048  MATH         @SensorSWR_Mode = "SWR 8481A"
  1.049  MATH         @DevName2       = "Agilent 11667A"
  1.050  MATH         @SpltrSWR_Mode  = "Output SWR"
  1.051  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.052  JMPL         DC_10dB_RF

  1.053  LABEL        DC_10dB_HF
  1.054  RSLT         =
  1.055  RSLT         =RF Attenuation: 10 dB (DC Coupled)
  1.056  TARGET       -p
  1.057  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (DC)
  1.058  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.059  MATH         @TestName = "10 dB Ref Set (HF)"; @Atten = 10
  1.060  CALL         Sub FSV Frequency Response Tests /LPNX
  1.061  JMPL         DC_20dB_HF

  1.062  LABEL        DC_10dB_RF
  1.063  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (DC)
  1.064  SCPI         FREQ:CENT 64E+6;:INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.065  MATH         @TestName = "10 dB Ref Set (RF)"; @Atten = 10
  1.066  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.067  JMPL         DC_20dB_RF

  1.068  LABEL        DC_20dB_HF
  1.069  RSLT         =
  1.070  RSLT         =RF Attenuation: 20 dB (DC Coupled)
  1.071  TARGET       -p
  1.072  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 20 dB (DC)
  1.073  SCPI         INP:ATT 20 DB
  1.074  MATH         @TestName = "20 dB Ref Set (HF)"; @Atten = 20
  1.075  CALL         Sub FSV Frequency Response Tests /LPNX
  1.076  JMPL         DC_30dB_HF

  1.077  LABEL        DC_20dB_RF
  1.078  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 20 dB (DC)
  1.079  SCPI         FREQ:CENT 64E+6;:INP:ATT 20 DB
  1.080  MATH         @TestName = "20 dB Ref Set (RF)"; @Atten = 20
  1.081  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.082  JMPL         DC_30dB_RF

  1.083  LABEL        DC_30dB_HF
  1.084  RSLT         =
  1.085  RSLT         =RF Attenuation: 30 dB (DC Coupled)
  1.086  TARGET       -p
  1.087  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.088  SCPI         INP:ATT 30 DB
  1.089  MATH         @TestName = "30 dB Ref Set (HF)"; @Atten = 30
  1.090  CALL         Sub FSV Frequency Response Tests /LPNX
  1.091  JMPL         DC_40dB_HF

  1.092  LABEL        DC_30dB_RF
  1.093  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.094  SCPI         FREQ:CENT 64E+6;:INP:ATT 30 DB
  1.095  MATH         @TestName = "30 dB Ref Set (RF)"; @Atten = 30
  1.096  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.097  JMPL         DC_40dB_RF

  1.098  LABEL        DC_40dB_HF
  1.099  RSLT         =
  1.100  RSLT         =RF Attenuation: 40 dB (DC Coupled)
  1.101  TARGET       -p
  1.102  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.103  SCPI         INP:ATT 40 DB
  1.104  MATH         @TestName = "40 dB Ref Set (HF)"; @Atten = 40
  1.105  CALL         Sub FSV Frequency Response Tests /LPNX
  1.106  JMPL         AC_HF

  1.107  LABEL        DC_40dB_RF
  1.108  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.109  SCPI         FREQ:CENT 64E+6;:INP:ATT 40 DB
  1.110  MATH         @TestName = "40 dB Ref Set (RF)"; @Atten = 40
  1.111  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.112  JMPL         AC_RF

  1.113  LABEL        AC_HF
  1.114  RSLT         =
  1.115  RSLT         =RF Attenuation: 10 dB (AC Coupled)
  1.116  TARGET       -p
  1.117  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (AC)
  1.118  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.119  SCPI         INP:COUP AC;ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.120  SCPI         CALC:MARK:LOEX ON
  1.121  MATH         @TestName = "10 dB Ref Set (HF)"; @Atten = 10
  1.122  MATH         @Coupling = "(AC)"
  1.123  CALL         Sub FSV Frequency Response Tests /LPNX
  1.124  JMPL         START_B22_HF                 @Opt_B22
  1.125  JMPL         START_B24_HF                 @Opt_B24
  1.126  JMPL         START_B25_HF                 @Opt_B25
  1.127  JMPL         START_DC_RF

  1.128  LABEL        AC_RF
  1.129  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (AC)
  1.130  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.131  SCPI         INP:COUP AC;ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.132  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.133  SCPI         DET:FUNC RMS
  1.134  MATH         @TestName = "10 dB Ref Set (RF)"; @Atten = 10
  1.135  MATH         @Coupling = "(AC)"
  1.136  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.137  JMPL         START_B22_RF                 @Opt_B22
  1.138  JMPL         START_B24_RF                 @Opt_B24
  1.139  MATH         DEL("@Chan")
  1.140  JMPL         START_B25_RF                 @Opt_B25
  1.141  JMPL         END

  1.142  LABEL        START_DC_µW_1
  1.143  RSLT         =
  1.144  HEAD         {FREQUENCY RESPONSE (> 3.6 GHz)}
  1.145  RSLT         =
  1.146  RSLT         =RF Attenuation: 5 dB (DC)
  1.147  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 5 dB (DC)
  1.148  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.149  SCPI         INP:COUP DC;ATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -5
  1.150  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.151  SCPI         DET:FUNC RMS
  1.152  MATH         @TestName = "5 dB Ref Set (µW)"; @Atten = 5
  1.153  MATH         @AttenType = "RF Attenuation"
  1.154  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.155  JMPL         DC_10dB_µW_1

  1.156  LABEL        START_DC_µW_2
  1.157  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.158  TARGET       -p
  1.159  MATH         @Error = 0
  1.160  PIC          fsv_freq_resp_hookup_swpg.jpg

  1.161  DISP         The next routine operator intervention occurs in
  1.161  DISP         approximately 20 minutes, depending on UUT option
  1.161  DISP         configuration...

  1.162  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 5 dB (DC)
  1.163  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.164  SCPI         INP:COUP DC;ATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -5
  1.165  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.166  SCPI         DET:FUNC RMS
  1.167  MATH         @TestName = "5 dB Ref Set (µW)"; @Coupling = "(DC)"
  1.168  MATH         @AttenType = "RF Attenuation"; @Atten = 5
  1.169  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.170  JMPL         DC_10dB_µW_2

  1.171  LABEL        DC_10dB_µW_1
  1.172  RSLT         =
  1.173  RSLT         =RF Attenuation: 10 dB (DC)
  1.174  TARGET       -p
  1.175  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (DC)
  1.176  SCPI         FREQ:CENT 64E+6;:INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.177  MATH         @TestName = "10 dB Ref Set (µW)"; @Atten = 10
  1.178  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.179  JMPL         DC_20dB_µW_1

  1.180  LABEL        DC_10dB_µW_2
  1.181  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (DC)
  1.182  SCPI         FREQ:CENT 64E+6;:INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.183  MATH         @TestName = "10 dB Ref Set (µW)"; @Atten = 10
  1.184  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.185  JMPL         DC_20dB_µW_2

  1.186  LABEL        DC_20dB_µW_1
  1.187  RSLT         =
  1.188  RSLT         =RF Attenuation: 20 dB (DC)
  1.189  TARGET       -p
  1.190  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 20 dB (DC)
  1.191  SCPI         FREQ:CENT 64E+6;:INP:ATT 20 DB
  1.192  MATH         @TestName = "20 dB Ref Set (µW)"; @Atten = 20
  1.193  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.194  JMPL         DC_30dB_µW_1

  1.195  LABEL        DC_20dB_µW_2
  1.196  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 20 dB (DC)
  1.197  SCPI         FREQ:CENT 64E+6;:INP:ATT 20 DB
  1.198  MATH         @TestName = "20 dB Ref Set (µW)"; @Atten = 20
  1.199  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.200  JMPL         DC_30dB_µW_2

  1.201  LABEL        DC_30dB_µW_1
  1.202  RSLT         =
  1.203  RSLT         =RF Attenuation: 30 dB (DC)
  1.204  TARGET       -p
  1.205  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.206  SCPI         FREQ:CENT 64E+6;:INP:ATT 30 DB
  1.207  MATH         @TestName = "30 dB Ref Set (µW)"; @Atten = 30
  1.208  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.209  JMPL         DC_40dB_µW_1

  1.210  LABEL        DC_30dB_µW_2
  1.211  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.212  SCPI         FREQ:CENT 64E+6;:INP:ATT 30 DB
  1.213  MATH         @TestName = "30 dB Ref Set (µW)"; @Atten = 30
  1.214  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.215  JMPL         DC_40dB_µW_2

  1.216  LABEL        DC_40dB_µW_1
  1.217  RSLT         =
  1.218  RSLT         =RF Attenuation: 40 dB (DC)
  1.219  TARGET       -p
  1.220  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.221  SCPI         FREQ:CENT 64E+6;:INP:ATT 40 DB
  1.222  MATH         @TestName = "40 dB Ref Set (µW)"; @Atten = 40
  1.223  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.224  JMPL         AC_µW_1

  1.225  LABEL        DC_40dB_µW_2
  1.226  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.227  SCPI         FREQ:CENT 64E+6;:INP:ATT 40 DB
  1.228  MATH         @TestName = "40 dB Ref Set (µW)"; @Atten = 40
  1.229  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.230  JMPL         AC_µW_2

  1.231  LABEL        AC_µW_1
  1.232  RSLT         =
  1.233  RSLT         =RF Attenuation: 10 dB (AC)
  1.234  TARGET       -p
  1.235  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (AC)
  1.236  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.237  SCPI         INP:COUP AC;ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.238  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.239  SCPI         DET:FUNC RMS
  1.240  MATH         @TestName = "10 dB Ref Set (µW)"; @Atten = 10
  1.241  MATH         @Coupling = "(AC)"
  1.242  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.243  MATH         DEL("@Chan")
  1.244  JMPL         START_B22_µW                 @Opt_B22
  1.245  JMPL         START_B24_µW_1               @Opt_B24
  1.246  JMPL         START_B25_µW                 @Opt_B25
  1.247  JMPL         START_DC_µW_2                (@UUT_MaxFreq > 7E+9)
  1.248  JMPL         END

  1.249  LABEL        AC_µW_2
  1.250  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (AC)
  1.251  SCPI         FREQ:CENT 64E+6;:INP:ATT 10 DB
  1.252  MATH         @TestName = "40 dB Ref Set (µW)"; @Atten = 10
  1.253  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.254  JMPL         START_B24_µW_2               @Opt_B24
  1.255  JMPL         END

  1.256  LABEL        START_B22_HF
  1.257  RSLT         =
  1.258  HEAD         {FREQUENCY RESPONSE (< 3.6 GHz, FSV-B22 Option)}
  1.259  RSLT         =
  1.260  RSLT         =RF Attenuation: 30 dB (DC Coupled, Preamp On)
  1.261  TARGET       -p
  1.262  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.263  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.264  SCPI         INP:COUP DC;ATT 30 DB;GAIN:STAT ON
  1.265  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.266  SCPI         BAND:RES 10E+3;:DET:FUNC RMS;:CALC:MARK:LOEX ON
  1.267  MATH         @TestName = "30 dB Ref Set (Gain)"; @Atten = 30
  1.268  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.269  CALL         Sub FSV Frequency Response Tests /LPNX
  1.270  MATH         DEL("@PreampOn")
  1.271  JMPL         START_B25_HF                 @Opt_B25
  1.272  JMPL         START_B29_LF                 @Opt_B29
  1.273  JMPL         START_DC_RF

  1.274  LABEL        START_B22_RF
  1.275  HEAD         FREQUENCY RESPONSE (< 3.6 GHz, FSV-B22 Option)
  1.276  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.277  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.278  SCPI         INP:COUP DC;ATT 30 DB;GAIN:STAT ON
  1.279  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.280  SCPI         BAND:RES 10E+3;:DET:FUNC RMS
  1.281  MATH         @TestName = "30 dB Ref Set (Gain)"; @Atten = 30
  1.282  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.283  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.284  MATH         DEL("@Chan"); DEL("@PreampOn")
  1.285  JMPL         START_B25_RF                 @Opt_B25
  1.286  JMPL         START_DC_µW_1                (@UUT_MaxFreq > 3.6E+9)
  1.287  JMPL         END

  1.288  LABEL        START_B22_µW
  1.289  RSLT         =
  1.290  HEAD         {FREQUENCY RESPONSE (> 3.6 GHz, FSV-B22 Option)}
  1.291  RSLT         =
  1.292  RSLT         =RF Attenuation: 30 dB (DC Coupled, Preamp On)
  1.293  TARGET       -p
  1.294  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 30 dB (DC)
  1.295  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.296  SCPI         INP:COUP DC;ATT 30 DB;GAIN:STAT ON
  1.297  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.298  SCPI         BAND:RES 10E+3;:DET:FUNC RMS
  1.299  MATH         @TestName = "30 dB Ref Set (Gain)"; @Atten = 30
  1.300  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.301  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.302  MATH         DEL("@Chan"); DEL("@PreampOn")
  1.303  JMPL         START_B25_µW                 @Opt_B25
  1.304  JMPL         END

  1.305  LABEL        START_B24_HF
  1.306  RSLT         =
  1.307  HEAD         {FREQUENCY RESPONSE (< 3.6 GHz, FSV-B24 Option)}
  1.308  RSLT         =
  1.309  RSLT         =RF Attenuation: 40 dB (DC Coupled, Preamp On)
  1.310  TARGET       -p
  1.311  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.312  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.313  SCPI         INP:COUP DC;ATT 40 DB;GAIN:STAT ON
  1.314  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.315  SCPI         BAND:RES 10E+3;:DET:FUNC RMS;:CALC:MARK:LOEX ON
  1.316  MATH         @TestName = "40 dB Ref Set (Gain)"; @Atten = 40
  1.317  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.318  CALL         Sub FSV Frequency Response Tests /LPNX
  1.319  MATH         DEL("@PreampOn")
  1.320  JMPL         START_B25_HF                 @Opt_B25
  1.321  JMPL         START_B29_LF                 @Opt_B29
  1.322  JMPL         START_DC_RF

  1.323  LABEL        START_B24_RF
  1.324  HEAD         FREQUENCY RESPONSE (< 3.6 GHz, FSV-B24 Option)
  1.325  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.326  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.327  SCPI         INP:COUP DC;ATT 40 DB;GAIN:STAT ON
  1.328  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.329  SCPI         BAND:RES 10E+3;:DET:FUNC RMS
  1.330  MATH         @TestName = "40 dB Ref Set (Gain)"; @Atten = 40
  1.331  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.332  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.333  MATH         DEL("@Chan"); DEL("@PreampOn")
  1.334  JMPL         START_B25_RF                 @Opt_B25
  1.335  JMPL         START_DC_µW_1                (@UUT_MaxFreq > 3.6E+9)
  1.336  JMPL         END

  1.337  LABEL        START_B24_µW_1
  1.338  RSLT         =
  1.339  HEAD         {FREQUENCY RESPONSE (> 3.6 GHz, FSV-B24 Option)}
  1.340  RSLT         =
  1.341  RSLT         =RF Attenuation: 40 dB (DC Coupled, Preamp On)
  1.342  TARGET       -p
  1.343  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.344  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.345  SCPI         INP:COUP DC;ATT 40 DB;GAIN:STAT ON
  1.346  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.347  SCPI         BAND:RES 10E+3;:DET:FUNC RMS
  1.348  MATH         @TestName = "40 dB Ref Set (Gain)"; @Atten = 40
  1.349  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.350  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.351  MATH         DEL("@PreampOn")
  1.352  JMPL         START_B25_µW                 @Opt_B25
  1.353  JMPL         START_DC_µW_2                (@UUT_MaxFreq > 7E+9)
  1.354  JMPL         END

  1.355  LABEL        START_B24_µW_2
  1.356  HEAD         FREQUENCY RESPONSE (> 3.6 GHz, FSV-B24 Option)
  1.357  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 40 dB (DC)
  1.358  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.359  SCPI         INP:COUP DC;ATT 40 DB;GAIN:STAT ON
  1.360  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.361  SCPI         BAND:RES 10E+3;:DET:FUNC RMS
  1.362  MATH         @TestName = "40 dB Ref Set (Gain)"; @Atten = 40
  1.363  MATH         @Coupling = "(DC)"; @PreampOn = 1
  1.364  CALL         Sub FSV µW Frequency Response Tests /4418,SWPG
  1.365  MATH         DEL("@PreampOn")
  1.366  JMPL         END

  1.367  LABEL        START_B25_HF
  1.368  RSLT         =
  1.369  HEAD         {FREQUENCY RESPONSE (< 3.6 GHz, FSV-B25 Option)}
  1.370  RSLT         =
  1.371  RSLT         =Electronic Attenuator: 0 dB (DC Coupled)
  1.372  TARGET       -p
  1.373  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 0 dB (DC)
  1.374  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.375  SCPI         INP:COUP DC;EATT:STAT ON;:INP:EATT 0 DB;ATT 10 DB
  1.376  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.377  SCPI         BAND:RES 10E+3;:DET:FUNC RMS;:CALC:MARK:LOEX ON
  1.378  MATH         @TestName = "B25 0 dB Ref Set (HF)"; @Coupling = "(DC)"
  1.379  MATH         @AttenType = "Electronic Attenuator"; @Atten = 0
  1.380  MATH         @Connection = "fsv_direct_to_lpnx"; @B25_On = 1
  1.381  CALL         Sub FSV Frequency Response Tests /LPNX
  1.382  JMPL         B25_5dB_HF

  1.383  LABEL        START_B25_RF
  1.384  HEAD         FREQUENCY RESPONSE (< 3.6 GHz, FSV-B25 Option)
  1.385  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 0 dB (DC)
  1.386  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.387  SCPI         INP:COUP DC;EATT:STAT ON;:INP:EATT 0 DB;ATT 10 DB
  1.388  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:DISP:WIND:TRAC:Y:RLEV 0
  1.389  SCPI         BAND:RES 10E+3;:DET:FUNC RMS;:CALC:MARK:LOEX ON
  1.390  MATH         @TestName = "B25 0 dB Ref Set (RF)"; @B25_On = 1
  1.391  MATH         @AttenType = "Electronic Attenuator"; @Atten = 0
  1.392  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.393  JMPL         B25_5dB_RF

  1.394  LABEL        B25_5dB_HF
  1.395  RSLT         =
  1.396  RSLT         =Electronic Attenuator: 5 dB (DC Coupled)
  1.397  TARGET       -p
  1.398  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 5 dB (DC)
  1.399  SCPI         INP:EATT 5 DB
  1.400  MATH         @TestName = "B25 5 dB Ref Set (HF)"; @Atten = 5
  1.401  CALL         Sub FSV Frequency Response Tests /LPNX
  1.402  JMPL         B25_10dB_HF

  1.403  LABEL        B25_5dB_RF
  1.404  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 5 dB (DC)
  1.405  SCPI         FREQ:CENT 64E+6;:INP:EATT 5 DB
  1.406  MATH         @TestName = "B25 5 dB Ref Set (RF)"; @Atten = 5
  1.407  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.408  JMPL         B25_10dB_RF

  1.409  LABEL        B25_10dB_HF
  1.410  RSLT         =
  1.411  RSLT         =Electronic Attenuator: 10 dB (DC Coupled)
  1.412  TARGET       -p
  1.413  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 10 dB (DC)
  1.414  SCPI         INP:EATT 10 DB
  1.415  MATH         @TestName = "B25 10 dB Ref Set (HF)"; @Atten = 10
  1.416  CALL         Sub FSV Frequency Response Tests /LPNX
  1.417  JMPL         B25_15dB_HF

  1.418  LABEL        B25_10dB_RF
  1.419  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 10 dB (DC)
  1.420  SCPI         FREQ:CENT 64E+6;:INP:EATT 10 DB
  1.421  MATH         @TestName = "B25 10 dB Ref Set (RF)"; @Atten = 10
  1.422  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.423  JMPL         B25_15dB_RF

  1.424  LABEL        B25_15dB_HF
  1.425  RSLT         =
  1.426  RSLT         =Electronic Attenuator: 15 dB (DC Coupled)
  1.427  TARGET       -p
  1.428  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 15 dB (DC)
  1.429  SCPI         INP:EATT 15 DB
  1.430  MATH         @TestName = "B25 15 dB Ref Set (HF)"; @Atten = 15
  1.431  CALL         Sub FSV Frequency Response Tests /LPNX
  1.432  JMPL         B25_20dB_HF

  1.433  LABEL        B25_15dB_RF
  1.434  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 15 dB (DC)
  1.435  SCPI         FREQ:CENT 64E+6;:INP:EATT 15 DB
  1.436  MATH         @TestName = "B25 15 dB Ref Set (RF)"; @Atten = 15
  1.437  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.438  JMPL         B25_20dB_RF

  1.439  LABEL        B25_20dB_HF
  1.440  RSLT         =
  1.441  RSLT         =Electronic Attenuator: 20 dB (DC Coupled)
  1.442  TARGET       -p
  1.443  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 20 dB (DC)
  1.444  SCPI         INP:EATT 20 DB
  1.445  MATH         @TestName = "B25 20 dB Ref Set (HF)"; @Atten = 20
  1.446  CALL         Sub FSV Frequency Response Tests /LPNX
  1.447  JMPL         B25_25dB_HF

  1.448  LABEL        B25_20dB_RF
  1.449  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 20 dB (DC)
  1.450  SCPI         FREQ:CENT 64E+6;:INP:EATT 20 DB
  1.451  MATH         @TestName = "B25 20 dB Ref Set (RF)"; @Atten = 20
  1.452  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.453  JMPL         B25_25dB_RF

  1.454  LABEL        B25_25dB_HF
  1.455  RSLT         =
  1.456  RSLT         =Electronic Attenuator: 25 dB (DC Coupled)
  1.457  TARGET       -p
  1.458  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 25 dB (DC)
  1.459  SCPI         INP:EATT 25 DB
  1.460  MATH         @TestName = "B25 25 dB Ref Set (HF)"; @Atten = 25
  1.461  CALL         Sub FSV Frequency Response Tests /LPNX
  1.462  JMPL         START_B29_LF                 @Opt_B29
  1.463  JMPL         START_DC_RF

  1.464  LABEL        B25_25dB_RF
  1.465  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 25 dB (DC)
  1.466  SCPI         FREQ:CENT 64E+6;:INP:EATT 25 DB
  1.467  MATH         @TestName = "B25 25 dB Ref Set (RF)"; @Atten = 25
  1.468  CALL         Sub FSV RF Frequency Response Tests /4419,SWPG
  1.469  MATH         DEL("@Chan"); DEL("@B25_On")
  1.470  JMPL         START_DC_µW_1                (@UUT_MaxFreq > 3.6E+9)
  1.471  JMPL         END

  1.472  LABEL        START_B25_µW
  1.473  RSLT         =
  1.474  HEAD         {FREQUENCY RESPONSE (> 3.6 GHz, Option FSV-B25)}
  1.475  RSLT         =
  1.476  RSLT         =Electronic Attenuator: 0 dB
  1.477  TARGET       -p
  1.478  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 0 dB (DC)
  1.479  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.480  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.481  SCPI         INP:EATT 0 DB;EATT:STAT ON;:DET:FUNC RMS
  1.482  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.483  MATH         @TestName = "B25 0 dB Ref Set (µW)"; @Coupling = "(DC)"
  1.484  MATH         @AttenType = "Electronic Attenuator"; @Atten = 0
  1.485  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG

  1.486  RSLT         =
  1.487  RSLT         =Electronic Attenuator: 5 dB
  1.488  TARGET       -p
  1.489  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 5 dB (DC)
  1.490  SCPI         FREQ:CENT 64E+6;:INP:EATT 5 DB
  1.491  MATH         @TestName = "B25 5 dB Ref Set (µW)"; @Atten = 5
  1.492  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG

  1.493  RSLT         =
  1.494  RSLT         =Electronic Attenuator: 10 dB
  1.495  TARGET       -p
  1.496  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 10 dB (DC)
  1.497  SCPI         FREQ:CENT 64E+6;:INP:EATT 10 DB
  1.498  MATH         @TestName = "B25 10 dB Ref Set (µW)"; @Atten = 10
  1.499  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG

  1.500  RSLT         =
  1.501  RSLT         =Electronic Attenuator: 15 dB
  1.502  TARGET       -p
  1.503  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 15 dB (DC)
  1.504  SCPI         FREQ:CENT 64E+6;:INP:EATT 15 DB
  1.505  MATH         @TestName = "B25 15 dB Ref Set (µW)"; @Atten = 15
  1.506  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG

  1.507  RSLT         =
  1.508  RSLT         =Electronic Attenuator: 20 dB
  1.509  TARGET       -p
  1.510  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 20 dB (DC)
  1.511  SCPI         FREQ:CENT 64E+6;:INP:EATT 20 DB
  1.512  MATH         @TestName = "B25 20 dB Ref Set (µW)"; @Atten = 20
  1.513  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG

  1.514  RSLT         =
  1.515  RSLT         =Electronic Attenuator: 25 dB
  1.516  TARGET       -p
  1.517  HEAD         -2 Ref Set: 64 MHz, Electronic Attenuator: 25 dB (DC)
  1.518  SCPI         FREQ:CENT 64E+6;:INP:EATT 25 DB
  1.519  MATH         @TestName = "B25 25 dB Ref Set (µW)"; @Atten = 25
  1.520  CALL         Sub FSV µW Frequency Response Tests /4419,SWPG
  1.521  MATH         DEL("@Chan"); DEL("@B25_On")
  1.522  JMPL         START_DC_µW_2                (@UUT_MaxFreq > 7E+9)
  1.523  JMPL         END

  1.524  LABEL        START_B29_LF
  1.525  RSLT         =
  1.526  HEAD         {FREQUENCY RESPONSE (< 3.6 GHz, FSV-B29 Option)}
  1.527  RSLT         =
  1.528  RSLT         =RF Attenuation: 10 dB (DC Coupled)
  1.529  HEAD         -2 Reference Set: 64 MHz, RF Attenuation: 10 dB (DC)
  1.530  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.531  SCPI         INP:COUP DC;ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  1.532  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.533  SCPI         DET:FUNC RMS
  1.534  MATH         @TestName = "B29 10 dB Ref Set"; @Coupling = "(DC)"
  1.535  MATH         @AttenType = "RF Attenuation"; @Atten = 10; @B29_On = 1
  1.536  CALL         Sub FSV Frequency Response Tests /LPNX
  1.537  MATH         DEL("@B29_On")
  1.538  JMPL         START_DC_RF

  1.539  LABEL        END
  1.540  HEAD         -2
  1.541  CALL         Sub Initialize /SWPG
  1.542  CALL         Sub Reset /SWPG
  1.543  SCPI         SYST:PRES
  1.544  HEAD
  1.545  END
