﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) RF Input VSWR VER /VNA
DATE:                  2011-08-04
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       40
NUMBER OF LINES:       397
CONFIGURATION:         Network Analyzer
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  RSLT         =
  1.002  HEAD         {RF INPUT VSWR}
  1.003  RSLT         =
  1.004  RSLT         =Input Attenuation: 10 dB, DC Coupling
  1.005  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  1.006  TARGET       -p
  1.007  DISP         Connect the Network Analyzer to the UUT RF INPUT
  1.007  DISP         50 Ohms.

  1.008  HEAD         -2 10 MHz to 3.5 GHz, 10 dB, DC Coupling
  1.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  1.010  SCPI         INP:COUP DC;ATT 10 DB

  1.011  OPBR         -z Following the Network Analyzer manufacturer's
  1.011  OPBR         instructions, make a swept measurement of the
  1.011  OPBR         UUT VSWR (SWR) from 10 MHz to 3.5 GHz.[NO]
  1.011  OPBR
  1.011  OPBR         Is the peak measured value less than 1.5?
  1.012  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

  2.001  IF           (@UUT_MaxFreq > 3.6E+9)
  2.002  HEAD         -2 3.75 GHz to 7.7 GHz, 10 dB, DC Coupling
  2.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  2.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
  2.003  OPBR
  2.003  OPBR         Is the peak measured value less than 2.0?
  2.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
  3.001  ENDIF

  3.002  IF           (@UUT_MaxFreq > 7E+9)
  3.003  HEAD         -2 8.0 GHz to 13.0 GHz, 10 dB, DC Coupling
  3.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  3.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
  3.004  OPBR
  3.004  OPBR         Is the peak measured value less than 2.0?
  3.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
  4.001  ENDIF

  4.002  IF           (@UUT_MaxFreq > 13.6E+9)
  4.003  HEAD         -2 14.0 GHz to 16.0 GHz, 10 dB, DC Coupling
  4.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  4.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
  4.004  OPBR
  4.004  OPBR         Is the peak measured value less than 2.0?
  4.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

  5.001  HEAD         -2 20.0 GHz to 29.999 GHz, 10 dB, DC Coupling
  5.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  5.002  OPBR         from 20.0 GHz to 29.999 GHz.[NO]
  5.002  OPBR
  5.002  OPBR         Is the peak measured value less than 2.2?
  5.003  EVAL   -e  MEM1 : 20.0 GHz to 29.999 GHz (VSWR < 2.2)
  6.001  ENDIF

  6.002  IF           (@UUT_MaxFreq > 30E+9)
  6.003  HEAD         -2 31.0 GHz to 39.999 GHz, 10 dB, DC Coupling
  6.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  6.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
  6.004  OPBR
  6.004  OPBR         Is the peak measured value less than 2.5?
  6.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 2.5)
  7.001  ENDIF

  7.002  RSLT         =
  7.003  RSLT         =Input Attenuation: 20 dB, DC Coupling
  7.004  HEAD         -2 10 MHz to 3.5 GHz, 20 dB, DC Coupling
  7.005  TARGET       -p
  7.006  SCPI         INP:ATT 20 DB

  7.007  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  7.007  OPBR         from 10 MHz to 3.5 GHz.[NO]
  7.007  OPBR
  7.007  OPBR         Is the peak measured value less than 1.5?
  7.008  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

  8.001  IF           (@UUT_MaxFreq > 3.6E+9)
  8.002  HEAD         -2 3.75 GHz to 7.7 GHz, 20 dB, DC Coupling
  8.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  8.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
  8.003  OPBR
  8.003  OPBR         Is the peak measured value less than 2.0?
  8.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
  9.001  ENDIF

  9.002  IF           (@UUT_MaxFreq > 7E+9)
  9.003  HEAD         -2 8.0 GHz to 13.0 GHz, 20 dB, DC Coupling
  9.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
  9.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
  9.004  OPBR
  9.004  OPBR         Is the peak measured value less than 2.0?
  9.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
 10.001  ENDIF

 10.002  IF           (@UUT_MaxFreq > 13.6E+9)
 10.003  HEAD         -2 14.0 GHz to 16.0 GHz, 20 dB, DC Coupling
 10.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 10.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
 10.004  OPBR
 10.004  OPBR         Is the peak measured value less than 2.0?
 10.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

 11.001  HEAD         -2 20.0 GHz to 29.999 GHz, 20 dB, DC Coupling
 11.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 11.002  OPBR         from 20.0 GHz to 29.999 GHz.[NO]
 11.002  OPBR
 11.002  OPBR         Is the peak measured value less than 2.2?
 11.003  EVAL   -e  MEM1 : 20.0 GHz to 29.999 GHz (VSWR < 2.2)
 12.001  ENDIF

 12.002  IF           (@UUT_MaxFreq > 30E+9)
 12.003  HEAD         -2 31.0 GHz to 39.999 GHz, 20 dB, DC Coupling
 12.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 12.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
 12.004  OPBR
 12.004  OPBR         Is the peak measured value less than 2.5?
 12.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 2.5)
 13.001  ENDIF

 13.002  RSLT         =
 13.003  RSLT         =Input Attenuation: 40 dB, DC Coupling
 13.004  TARGET       -p
 13.005  SCPI         INP:ATT 40 DB

 13.006  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 13.006  OPBR         from 10 MHz to 3.5 GHz.[NO]
 13.006  OPBR
 13.006  OPBR         Is the peak measured value less than 1.5?
 13.007  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

 14.001  IF           (@UUT_MaxFreq > 3.6E+9)
 14.002  HEAD         -2 3.75 GHz to 7.7 GHz, 40 dB, DC Coupling
 14.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 14.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
 14.003  OPBR
 14.003  OPBR         Is the peak measured value less than 2.0?
 14.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
 15.001  ENDIF

 15.002  IF           (@UUT_MaxFreq > 7E+9)
 15.003  HEAD         -2 8.0 GHz to 13.0 GHz, 40 dB, DC Coupling
 15.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 15.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
 15.004  OPBR
 15.004  OPBR         Is the peak measured value less than 2.0?
 15.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
 16.001  ENDIF

 16.002  IF           (@UUT_MaxFreq > 13.6E+9)
 16.003  HEAD         -2 14.0 GHz to 16.0 GHz, 40 dB, DC Coupling
 16.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 16.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
 16.004  OPBR
 16.004  OPBR         Is the peak measured value less than 2.0?
 16.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

 17.001  HEAD         -2 20.0 GHz to 29.999 GHz, 40 dB, DC Coupling
 17.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 17.002  OPBR         from 20.0 GHz to 29.999 GHz.[NO]
 17.002  OPBR
 17.002  OPBR         Is the peak measured value less than 2.2?
 17.003  EVAL   -e  MEM1 : 20.0 GHz to 29.999 GHz (VSWR < 2.2)
 18.001  ENDIF

 18.002  IF           (@UUT_MaxFreq > 30E+9)
 18.003  HEAD         -2 31.0 GHz to 39.999 GHz, 40 dB, DC Coupling
 18.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 18.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
 18.004  OPBR
 18.004  OPBR         Is the peak measured value less than 2.5?
 18.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 2.5)
 19.001  ENDIF

 19.002  RSLT         =
 19.003  RSLT         =Input Attenuation: 10 dB, AC Coupling
 19.004  HEAD         -2 10 MHz to 3.5 GHz, 10 dB, AC Coupling
 19.005  TARGET       -p
 19.006  SCPI         INP:COUP AC;ATT 10 DB
 19.007  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 19.007  OPBR         from 10 MHz to 3.5 GHz.[NO]
 19.007  OPBR
 19.007  OPBR         Is the peak measured value less than 1.5?
 19.008  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

 20.001  IF           (@UUT_MaxFreq > 3.6E+9)
 20.002  HEAD         -2 3.75 GHz to 7.7 GHz, 10 dB, AC Coupling
 20.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 20.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
 20.003  OPBR
 20.003  OPBR         Is the peak measured value less than 2.0?
 20.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
 21.001  ENDIF

 21.002  IF           (@UUT_MaxFreq > 7E+9)
 21.003  HEAD         -2 8.0 GHz to 13.0 GHz, 10 dB, AC Coupling
 21.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 21.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
 21.004  OPBR
 21.004  OPBR         Is the peak measured value less than 2.0?
 21.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
 22.001  ENDIF

 22.002  IF           (@UUT_MaxFreq > 13.6E+9)
 22.003  HEAD         -2 14.0 GHz to 16.0 GHz, 10 dB, AC Coupling
 22.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 22.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
 22.004  OPBR
 22.004  OPBR         Is the peak measured value less than 2.0?
 22.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

 23.001  HEAD         -2 20.0 GHz to 26.999 GHz, 10 dB, AC Coupling
 23.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 23.002  OPBR         from 20.0 GHz to 26.999 GHz.[NO]
 23.002  OPBR
 23.002  OPBR         Is the peak measured value less than 2.2?
 23.003  EVAL   -e  MEM1 : 20.0 GHz to 26.999 GHz (VSWR < 2.2)

 24.001  HEAD         -2 27.0 GHz to 29.999 GHz, 10 dB, AC Coupling
 24.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 24.002  OPBR         from 27.0 GHz to 29.999 GHz.[NO]
 24.002  OPBR
 24.002  OPBR         Is the peak measured value less than 2.5?
 24.003  EVAL   -e  MEM1 : 27.0 GHz to 29.999 GHz (VSWR < 2.5)
 25.001  ENDIF

 25.002  IF           (@UUT_MaxFreq > 30E+9)
 25.003  HEAD         -2 31.0 GHz to 39.999 GHz, 10 dB, AC Coupling
 25.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 25.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
 25.004  OPBR
 25.004  OPBR         Is the peak measured value less than 3.0?
 25.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 3.0)
 26.001  ENDIF

 26.002  RSLT         =
 26.003  RSLT         =Input Attenuation: 20 dB, AC Coupling
 26.004  HEAD         -2 10 MHz to 3.5 GHz, 20 dB, AC Coupling
 26.005  TARGET       -p
 26.006  SCPI         INP:ATT 20 DB

 26.007  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 26.007  OPBR         from 10 MHz to 3.5 GHz.[NO]
 26.007  OPBR
 26.007  OPBR         Is the peak measured value less than 1.5?
 26.008  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

 27.001  IF           (@UUT_MaxFreq > 3.6E+9)
 27.002  HEAD         -2 3.75 GHz to 7.7 GHz, 20 dB, AC Coupling
 27.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 27.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
 27.003  OPBR
 27.003  OPBR         Is the peak measured value less than 2.0?
 27.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
 28.001  ENDIF

 28.002  IF           (@UUT_MaxFreq > 7E+9)
 28.003  HEAD         -2 8.0 GHz to 13.0 GHz, 20 dB, AC Coupling
 28.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 28.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
 28.004  OPBR
 28.004  OPBR         Is the peak measured value less than 2.0?
 28.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
 29.001  ENDIF

 29.002  IF           (@UUT_MaxFreq > 13.6E+9)
 29.003  HEAD         -2 14.0 GHz to 16.0 GHz, 20 dB, AC Coupling
 29.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 29.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
 29.004  OPBR
 29.004  OPBR         Is the peak measured value less than 2.0?
 29.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

 30.001  HEAD         -2 20.0 GHz to 26.999 GHz, 20 dB, AC Coupling
 30.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 30.002  OPBR         from 20.0 GHz to 26.999 GHz.[NO]
 30.002  OPBR
 30.002  OPBR         Is the peak measured value less than 2.2?
 30.003  EVAL   -e  MEM1 : 20.0 GHz to 26.999 GHz (VSWR < 2.2)

 31.001  HEAD         -2 27.0 GHz to 29.999 GHz, 20 dB, AC Coupling
 31.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 31.002  OPBR         from 27.0 GHz to 29.999 GHz.[NO]
 31.002  OPBR
 31.002  OPBR         Is the peak measured value less than 2.5?
 31.003  EVAL   -e  MEM1 : 27.0 GHz to 29.999 GHz (VSWR < 2.5)
 32.001  ENDIF

 32.002  IF           (@UUT_MaxFreq > 30E+9)
 32.003  HEAD         -2 31.0 GHz to 39.999 GHz, 20 dB, AC Coupling
 32.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 32.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
 32.004  OPBR
 32.004  OPBR         Is the peak measured value less than 3.0?
 32.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 3.0)
 33.001  ENDIF

 33.002  RSLT         =
 33.003  RSLT         =Input Attenuation: 40 dB, AC Coupling
 33.004  TARGET       -p
 33.005  SCPI         INP:ATT 40 DB

 33.006  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 33.006  OPBR         from 10 MHz to 3.5 GHz.[NO]
 33.006  OPBR
 33.006  OPBR         Is the peak measured value less than 1.5?
 33.007  EVAL   -e  MEM1 : [32] 10 MHz to 3.5 GHz (VSWR < 1.5)

 34.001  IF           (@UUT_MaxFreq > 3.6E+9)
 34.002  HEAD         -2 3.75 GHz to 7.7 GHz, 40 dB, AC Coupling
 34.003  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 34.003  OPBR         from 3.75 GHz to 7.0 GHz.[NO]
 34.003  OPBR
 34.003  OPBR         Is the peak measured value less than 2.0?
 34.004  EVAL   -e  MEM1 : 3.75 GHz to 7.0 GHz (VSWR < 2.0)
 35.001  ENDIF

 35.002  IF           (@UUT_MaxFreq > 7E+9)
 35.003  HEAD         -2 8.0 GHz to 13.0 GHz, 40 dB, AC Coupling
 35.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 35.004  OPBR         from 8.0 GHz to 13.0 GHz.[NO]
 35.004  OPBR
 35.004  OPBR         Is the peak measured value less than 2.0?
 35.005  EVAL   -e  MEM1 : [32]8.0 GHz to 13.0 GHz (VSWR < 2.0)
 36.001  ENDIF

 36.002  IF           (@UUT_MaxFreq > 13.6E+9)
 36.003  HEAD         -2 14.0 GHz to 16.0 GHz, 40 dB, AC Coupling
 36.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 36.004  OPBR         from 14.0 GHz to 16.0 GHz.[NO]
 36.004  OPBR
 36.004  OPBR         Is the peak measured value less than 2.0?
 36.005  EVAL   -e  MEM1 : 14.0 GHz to 16.0 GHz (VSWR < 2.2)

 37.001  HEAD         -2 20.0 GHz to 26.999 GHz, 40 dB, AC Coupling
 37.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 37.002  OPBR         from 20.0 GHz to 26.999 GHz.[NO]
 37.002  OPBR
 37.002  OPBR         Is the peak measured value less than 2.2?
 37.003  EVAL   -e  MEM1 : 20.0 GHz to 26.999 GHz (VSWR < 2.2)

 38.001  HEAD         -2 27.0 GHz to 29.999 GHz, 40 dB, AC Coupling
 38.002  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 38.002  OPBR         from 27.0 GHz to 29.999 GHz.[NO]
 38.002  OPBR
 38.002  OPBR         Is the peak measured value less than 2.5?
 38.003  EVAL   -e  MEM1 : 27.0 GHz to 29.999 GHz (VSWR < 2.5)
 39.001  ENDIF

 39.002  IF           (@UUT_MaxFreq > 30E+9)
 39.003  HEAD         -2 31.0 GHz to 39.999 GHz, 40 dB, AC Coupling
 39.004  OPBR         -z Make a swept measurement of the UUT VSWR (SWR)
 39.004  OPBR         from 31.0 GHz to 39.999 GHz.[NO]
 39.004  OPBR
 39.004  OPBR         Is the peak measured value less than 3.0?
 39.005  EVAL   -e  MEM1 : 31.0 GHz to 39.999 GHz (VSWR < 3.0)
 40.001  ENDIF

 40.002  SCPI         SYST:PRES
 40.003  IEEE         [@VNA][SDC]
 40.004  END
