﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) TOI Tests /LO,SWPG
DATE:                  2011-07-27
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       207
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV TOI Test /LO,SWPG
#
#  Required Files:
#        None
#
#  The variable, "@UUT_MaxFreq)" is defined in the main, extracted from the
#  UUT Model Number to specify the frequency coverage of the UUT.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         @TestFreq = "  10.2 MHz"
  1.002  MATH         M[1] = 28; @Nominal = 12
  1.003  MATH         @LO_Freq   = "10.25 MHz"; @LO_Ampl   = "+6dBm"
  1.004  MATH         @SWPG_Freq = "10.15 MHz"; @SWPG_Ampl = "+6dBm"
  1.005  CALL         Sub FSV TOI Test /LO,SWPG

  1.006  MATH         @TestFreq = "  50.2 MHz"
  1.007  MATH         @SWPG_Freq = "50.25 MHz"; @LO_Freq = "50.15 MHz"
# Reset UUT to 500 kHz to circumvent error when enabling TOI marker function.
  1.008  CALL         Sub FSV TOI Test /LO,SWPG

  1.009  MATH         @TestFreq = " 100.2 MHz"
  1.010  MATH         M[1] = 27; @Nominal = 13
  1.011  MATH         @SWPG_Freq = "100.25 MHz"; @LO_Freq = "100.15 MHz"
  1.012  CALL         Sub FSV TOI Test /LO,SWPG

  1.013  MATH         @TestFreq = " 600.2 MHz"
  1.014  MATH         @SWPG_Freq = "600.25 MHz"; @LO_Freq = "600.15 MHz"
  1.015  CALL         Sub FSV TOI Test /LO,SWPG

  1.016  MATH         @TestFreq = "1100.2 MHz"
  1.017  MATH         @SWPG_Freq = "1100.25 MHz"; @LO_Freq = "1100.15 MHz"
  1.018  CALL         Sub FSV TOI Test /LO,SWPG

  1.019  MATH         @TestFreq = "1600.2 MHz"
  1.020  MATH         @SWPG_Freq = "1600.25 MHz"; @LO_Freq = "1600.15 MHz"
  1.021  CALL         Sub FSV TOI Test /LO,SWPG

  1.022  MATH         @TestFreq = "2100.2 MHz"
  1.023  MATH         @SWPG_Freq = "2100.25 MHz"; @LO_Freq = "2100.15 MHz"
  1.024  CALL         Sub FSV TOI Test /LO,SWPG

  1.025  MATH         @TestFreq = "2600.2 MHz"
  1.026  MATH         @SWPG_Freq = "2600.25 MHz"; @LO_Freq = "2600.15 MHz"
  1.027  CALL         Sub FSV TOI Test /LO,SWPG

  1.028  MATH         @TestFreq = "3100.2 MHz"
  1.029  MATH         @SWPG_Freq = "3100.25 MHz"; @LO_Freq = "3100.15 MHz"
  1.030  CALL         Sub FSV TOI Test /LO,SWPG

  1.031  MATH         @TestFreq = "3599.2 MHz"
  1.032  MATH         @SWPG_Freq = "3599.25 MHz"; @LO_Freq = "3599.15 MHz"
  1.033  CALL         Sub FSV TOI Test /LO,SWPG

  1.034  IF           (@UUT_MaxFreq <= 3.6E+9)
  1.035  END
  1.036  ENDIF

  1.037  MATH         @TestFreq = "3601.2 MHz"
  1.038  MATH         M[1] = 25; @Nominal = 15
  1.039  MATH         @SWPG_Freq = "3601.25 MHz"; @LO_Freq = "3601.15 MHz"
  1.040  CALL         Sub FSV TOI Test /LO,SWPG

  1.041  MATH         @TestFreq = "4101.2 MHz"
  1.042  MATH         @SWPG_Freq = "4101.25 MHz"; @LO_Freq = "4101.15 MHz"
  1.043  CALL         Sub FSV TOI Test /LO,SWPG

  1.044  MATH         @TestFreq = "4601.2 MHz"
  1.045  MATH         @SWPG_Freq = "4601.25 MHz"; @LO_Freq = "4601.15 MHz"
  1.046  CALL         Sub FSV TOI Test /LO,SWPG

  1.047  MATH         @TestFreq = "5101.2 MHz"
  1.048  MATH         @SWPG_Freq = "5101.25 MHz"; @LO_Freq = "5101.15 MHz"
  1.049  CALL         Sub FSV TOI Test /LO,SWPG

  1.050  MATH         @TestFreq = "5601.2 MHz"
  1.051  MATH         @SWPG_Freq = "5601.25 MHz"; @LO_Freq = "5601.15 MHz"
  1.052  CALL         Sub FSV TOI Test /LO,SWPG

  1.053  MATH         @TestFreq = "6101.2 MHz"
  1.054  MATH         @SWPG_Freq = "6101.25 MHz"; @LO_Freq = "6101.15 MHz"
  1.055  CALL         Sub FSV TOI Test /LO,SWPG

  1.056  MATH         @TestFreq = "6999.2 MHz"
  1.057  MATH         @SWPG_Freq = "6999.25 MHz"; @LO_Freq = "6999.15 MHz"
  1.058  CALL         Sub FSV TOI Test /LO,SWPG

  1.059  IF           (@UUT_MaxFreq <= 7E+9)
  1.060  END
  1.061  ENDIF

  1.062  MATH         @TestFreq = "7999 MHz"
  1.063  MATH         @SWPG_Freq = "7998.95 MHz"; @LO_Freq = "7999.05 MHz"
  1.064  CALL         Sub FSV TOI Test /LO,SWPG

  1.065  MATH         @TestFreq = "8999 MHz"
  1.066  MATH         @SWPG_Freq = "8998.95 MHz"; @LO_Freq = "8999.05 MHz"
  1.067  CALL         Sub FSV TOI Test /LO,SWPG

  1.068  MATH         @TestFreq = "9999 MHz"
  1.069  MATH         @SWPG_Freq = "9998.95 MHz"; @LO_Freq = "9999.05 MHz"
  1.070  CALL         Sub FSV TOI Test /LO,SWPG

  1.071  MATH         @TestFreq = "10999 MHz"
  1.072  MATH         @SWPG_Freq = "10998.95 MHz"; @LO_Freq = "10999.05 MHz"
  1.073  CALL         Sub FSV TOI Test /LO,SWPG

  1.074  MATH         @TestFreq = "11999 MHz"
  1.075  MATH         @SWPG_Freq = "11998.95 MHz"; @LO_Freq = "11999.05 MHz"
  1.076  CALL         Sub FSV TOI Test /LO,SWPG

  1.077  MATH         @TestFreq = "12999 MHz"
  1.078  MATH         @SWPG_Freq = "12998.95 MHz"; @LO_Freq = "12999.05 MHz"
  1.079  CALL         Sub FSV TOI Test /LO,SWPG

  1.080  IF           (@UUT_MaxFreq <= 13E+9)
  1.081  END
  1.082  ENDIF

  1.083  MATH         @TestFreq = "13999 MHz"
  1.084  MATH         @SWPG_Freq = "13998.95 MHz"; @LO_Freq = "13999.05 MHz"
  1.085  CALL         Sub FSV TOI Test /LO,SWPG

  1.086  MATH         @TestFreq = "15999 MHz"
  1.087  MATH         @SWPG_Freq = "15998.95 MHz"; @LO_Freq = "15999.05 MHz"
  1.088  CALL         Sub FSV TOI Test /LO,SWPG

  1.089  MATH         @TestFreq = "17999 MHz"
  1.090  MATH         @SWPG_Freq = "17998.95 MHz"; @LO_Freq = "17999.05 MHz"
  1.091  CALL         Sub FSV TOI Test /LO,SWPG

  1.092  MATH         @TestFreq = "19999 MHz"
  1.093  MATH         @SWPG_Freq = "19998.95 MHz"; @LO_Freq = "19999.05 MHz"
  1.094  CALL         Sub FSV TOI Test /LO,SWPG

  1.095  MATH         @TestFreq = "21999 MHz"
  1.096  MATH         @SWPG_Freq = "21998.95 MHz"; @LO_Freq = "21999.05 MHz"
  1.097  CALL         Sub FSV TOI Test /LO,SWPG

  1.098  MATH         @TestFreq = "23999 MHz"
  1.099  MATH         @SWPG_Freq = "23998.95 MHz"; @LO_Freq = "23999.05 MHz"
  1.100  CALL         Sub FSV TOI Test /LO,SWPG

  1.101  MATH         @TestFreq = "25999 MHz"
  1.102  MATH         @SWPG_Freq = "25998.95 MHz"; @LO_Freq = "25999.05 MHz"
  1.103  CALL         Sub FSV TOI Test /LO,SWPG

  1.104  MATH         @TestFreq = "27999 MHz"
  1.105  MATH         @SWPG_Freq = "27998.95 MHz"; @LO_Freq = "27999.05 MHz"
  1.106  CALL         Sub FSV TOI Test /LO,SWPG

  1.107  MATH         @TestFreq = "29999 MHz"
  1.108  MATH         @SWPG_Freq = "29998.95 MHz"; @LO_Freq = "29999.05 MHz"
  1.109  CALL         Sub FSV TOI Test /LO,SWPG

  1.110  IF           (@UUT_MaxFreq <= 30E+9)
  1.111  END
  1.112  ENDIF

  1.113  MATH         @TestFreq = "32999 MHz"
  1.114  MATH         @SWPG_Freq = "32998.95 MHz"; @LO_Freq = "32999.05 MHz"
  1.115  CALL         Sub FSV TOI Test /LO,SWPG

  1.116  MATH         @TestFreq = "34999 MHz"
  1.117  MATH         @SWPG_Freq = "34998.95 MHz"; @LO_Freq = "34999.05 MHz"
  1.118  CALL         Sub FSV TOI Test /LO,SWPG

  1.119  MATH         @TestFreq = "36999 MHz"
  1.120  MATH         @SWPG_Freq = "36998.95 MHz"; @LO_Freq = "36999.05 MHz"
  1.121  CALL         Sub FSV TOI Test /LO,SWPG

  1.122  MATH         @TestFreq = "38999 MHz"
  1.123  MATH         @SWPG_Freq = "38998.95 MHz"; @LO_Freq = "38999.05 MHz"
  1.124  CALL         Sub FSV TOI Test /LO,SWPG

  1.125  MATH         @TestFreq = "39999 MHz"
  1.126  MATH         @SWPG_Freq = "39998.95 MHz"; @LO_Freq = "39999.05 MHz"
  1.127  CALL         Sub FSV TOI Test /LO,SWPG

  1.128  END
