﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV (1 yr) Level Accuracy VER /LPNX
INSTRUMENT:            Sub FSV (1 yr) Display Nonlinearity VER /LPNX
INSTRUMENT:            Sub FSV (1 yr) RF Attenuator Uncertainty VER /LPNX
INSTRUMENT:            Sub FSV (1 yr) Phase Noise VER /LPNX
DATE:                  2011-07-28
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       24
NUMBER OF LINES:       442
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV Set Ref Level (dBm) /9640
#        Sub FSV Take Sweep Only
#
#  Required Files:
#        fsv_10db_to_lpnx.jpg
#
#  Additional Equipment Required:
#        None
#
#  Note:
#    Though the "Display Nonlinearity" and "RF Attenuator Uncertainty" tests
#    are shown in the Service Manual Performance Test to be performed at a
#    center frequency of 128.1 MHz, the specifications for the former has no
#    specified center frequency limitation while the specifications for the
#    latter are defined at a center frequency of 64 MHz. The tests for the
#    above parameters performed herein utilize the 64 MHz center frequency.
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  JMPL         LEVEL_ACCURACY               PSUBI("Level Accuracy")
  1.002  MATH         @Error = 0
  1.003  MATH         @DevName = "Fluke 9640A-LPNX"
  1.004  MATH         @AccMode = "Atten dB 50 Abs"
  1.005  JMPL         DISPLAY_NONLINEARITY         PSUBI("Display")
  1.006  JMPL         RF_ATTEN_UNCERTAINTY         PSUBI("RF Attenuator")
  1.007  JMPL         PHASE_NOISE                  PSUBI("Phase")
  1.008  DISP         Called {Subprocedure Not Found}!
  1.009  END

  1.010  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Level Accuracy VER /LPNX  ==========================

# It is assumed a direct connection was previously made between the 9640A-LPNX
# and the UUT.

  2.001  LABEL        LEVEL_ACCURACY
  2.002  RSLT         =
  2.003  HEAD         {LEVEL ACCURACY}
  2.004  TARGET       -p

  2.005  IF           @Opt_B22 || @Opt_B24 || @Opt_B25
  2.006  TSET         TDESC = 64 MHz (Standard)
  2.007  ELSE
  2.008  TSET         TDESC = 64 MHz
  2.009  ENDIF

  2.010  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  2.011  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV -10;:SWE:TIME 10E-3
  2.012  SCPI         FREQ:CENT 64E+6;SPAN 30E+3;:BAND:RES 10E+3;:DET:FUNC RMS
  2.013  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  2.013  LPNX         +Level = -10 dBm; Freq = 64 MHz
  2.014  TARGET       -m
  2.015  CALL         Sub FSV Take Sweep (MKPK)
  2.016  SCPI         CALC:MARK:Y?[I]
  2.017  MEMCX        -10.000dBm     0.200U

  3.001  IF           @Opt_B22 || @Opt_B24

  3.002  IF           @Opt_B24
  3.003  HEAD         LEVEL ACCURACY (Option FSV-B24, Preamp On)
  3.004  TSET         TDESC = 64 MHz (Option FSV-B24)
  3.005  ELSE
  3.006  HEAD         LEVEL ACCURACY (Option FSV-B22, Preamp On)
  3.007  TSET         TDESC = 64 MHz (Option FSV-B22)
  3.008  ENDIF

  3.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  3.010  SCPI         INP:COUP DC;ATT 30 DB;GAIN:STAT ON
  3.011  SCPI         DISP:WIND:TRAC:Y:RLEV -10;:SWE:TIME 10E-3
  3.012  SCPI         FREQ:CENT 64E+6;SPAN 30E+3;:BAND:RES 10E+3;:DET:FUNC RMS
  3.013  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  3.013  LPNX         +Level = -10 dBm; Freq = 64 MHz
  3.014  TARGET       -m
  3.015  CALL         Sub FSV Take Sweep (MKPK)
  3.016  SCPI         CALC:MARK:Y?[I]
  3.017  MEMCX        -10.000dBm     0.200U
  4.001  ENDIF

  4.002  IF           @Opt_B25
  4.003  HEAD         LEVEL ACCURACY (Option FSV-B25)
  4.004  TARGET       -p
  4.005  TSET         TDESC = 64 MHz (Option FSV-B25)
  4.006  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  4.007  SCPI         INP:EATT 0 DB;EATT:STAT ON;:INP:ATT 10 DB
  4.008  SCPI         DISP:WIND:TRAC:Y:RLEV -10;:SWE:TIME 10E-3
  4.009  SCPI         FREQ:CENT 64E+6;SPAN 30E+3;:BAND:RES 10E+3;:DET:FUNC RMS
  4.010  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  4.010  LPNX         +Level = -10 dBm; Freq = 64 MHz
  4.011  TARGET       -m
  4.012  CALL         Sub FSV Take Sweep (MKPK)
  4.013  SCPI         CALC:MARK:Y?[I]
  4.014  MEMCX        -10.000dBm     0.200U
  5.001  ENDIF

  5.002  HEAD         -2
  5.003  LPNX         Reset
  5.004  SCPI         SYST:PRES
  5.005  HEAD
  5.006  END

  5.007  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Display Linearity VER /LPNX  =======================

  6.001  LABEL        DISPLAY_NONLINEARITY
  6.002  RSLT         =
  6.003  HEAD         {DISPLAY NONLINEARITY (-10 dBm Reference)}
  6.004  HEAD         -2 [7][D250][7][D250][7][D250][7][D250][7]
  6.005  TARGET       -p
  6.006  HEAD         -2 Attenuation: 10 dB Reference Set
  6.007  PIC          fsv_10db_to_lpnx.jpg

  6.008  DISP         The next routine operator intervention occurs in
  6.008  DISP         approximately 5½ minutes, depending on UUT option
  6.008  DISP         configuration...

  6.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  6.010  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:Y:RLEV 0
  6.011  SCPI         FREQ:CENT 64E+6;SPAN 0;:DET:FUNC AVER
  6.012  SCPI         BAND:RES 10E+3;:SWE:TIME 200E-3
  6.013  SCPI         CALC:MARK:STAT ON;FUNC:SUMM:MEAN ON
  6.014  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  6.014  LPNX         +Level = 0 dBm; Freq = 64 MHz
  6.015  MATH         @ExtRefOn = 1; @ExtRefFreq = 10E+6
  6.016  MATH         @MkrMode = "Normal"
  6.017  CALL         Sub FSV Take Sweep (MKPK)
  6.018  SCPI         CALC:MARK:Y?[I]
  6.019  MATH         @TestName = "Display Linearity"
  6.020  MATH         @Connection = "fsv_10db_to_lpnx"
  6.021  MATH         @FSV_RefLvl = -10; @9640Lvl = 0
  6.022  MATH         @9640Freq = 64E+6; @9640RefIn = 10E+6

  6.023  WHILE        ((MEM <= -10.02) || (MEM >= -9.98)) && NOT(@Error)
  6.024  CALL         Sub FSV Set Ref Level (dBm) /9640
  6.025  ENDW

  6.026  IF           @Error
  6.027  EVAL   -e 0 : An error occurred during the [V @TestName].
  7.001  MATH         @Error = 0
  7.002  END
  7.003  ENDIF

  7.004  MATH         @RefUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
  7.005  CALL         Sub FSV Take Sweep (MKPK)
  7.006  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  7.007  MATH         @MkrMode = "Delta"; @RefLvl = @9640Lvl
  7.008  CALL         Sub FSV (1 yr) Display Nonlinearity Tests /LPNX

  7.009  HEAD         -2
  7.010  LPNX         Reset
  7.011  MATH         DEL("@MkrMode")
  7.012  SCPI         SYST:PRES
  7.013  HEAD
  7.014  END

  7.015  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) RF Attenuator Accuracy VER /LPNX  ==================

# It is assumed a 10 dB attenuator is connected in series between the
# 9640A-LPNX and the UUT.

  8.001  LABEL        RF_ATTEN_UNCERTAINTY
  8.002  RSLT         =
  8.003  HEAD         {RF ATTENUATOR UNCERTAINTY (Relative to 10 dB)}
  8.004  TARGET       -p
  8.005  HEAD         -2 RF Attenuator Setting: 10 dB (Reference)
  8.006  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
  8.007  SCPI         INP:ATT 10 DB;:DISP:WIND:TRAC:MODE AVER;Y:RLEV -35
  8.007  SCPI         DET:FUNC RMS;:FREQ:CENT 64E+6;SPAN 500
  8.008  SCPI         SWE:COUN 20;:BAND:RES 1E+3;VID 100
  8.009  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.009  LPNX         +Level = -50 dBm; Freq = 64 MHz
  8.010  CALL         Sub FSV Take Sweep Only
  8.011  MATH         @RefUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
  8.012  MATH         @MkrMode = "Normal"
  8.013  CALL         Sub FSV Take Sweep (MKPK)
  8.014  SCPI         CALC:DELT:FUNC:FIX:STAT ON
  8.015  MATH         @MkrMode = "Delta"

  8.016  HEAD         -2 RF Attenuator Setting: 0 dB
  8.017  TSET         TDESC = [32]0 dB
  8.018  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -45
  8.019  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  8.019  LPNX         +Level = -60 dBm; Freq = 64 MHz
  8.020  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
  8.021  MATH         L[1] = RSS2(@RefUnc, TestUnc)
  8.022  ACC          -10.000dB      L1U                                   +DW
  8.023  TARGET       -m
  8.024  CALL         Sub FSV Take Sweep (MKPK)
  8.025  SCPI         CALC:DELT:Y?[I]
  8.026  MEMCX        -10.000dB      0.200U

  9.001  HEAD         -2 RF Attenuator Setting: 5 dB
  9.002  TSET         TDESC = [32]5 dB
  9.003  SCPI         INP:ATT 5 DB;:DISP:WIND:TRAC:Y:RLEV -40
  9.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
  9.004  LPNX         +Level = -55 dBm; Freq = 64 MHz
  9.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
  9.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
  9.007  ACC          -5.000dB       L1U                                   +DW
  9.008  TARGET       -m
  9.009  CALL         Sub FSV Take Sweep (MKPK)
  9.010  SCPI         CALC:DELT:Y?[I]
  9.011  MEMCX        -5.000dB       0.200U

 10.001  HEAD         -2 RF Attenuator Setting: 15 dB
 10.002  TSET         TDESC = 15 dB
 10.003  SCPI         INP:ATT 15 DB;:DISP:WIND:TRAC:Y:RLEV -30
 10.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 10.004  LPNX         +Level = -45 dBm; Freq = 64 MHz
 10.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 10.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 10.007  ACC          5.000dB        L1U                                   +DW
 10.008  TARGET       -m
 10.009  CALL         Sub FSV Take Sweep (MKPK)
 10.010  SCPI         CALC:DELT:Y?[I]
 10.011  MEMCX        5.000dB        0.200U

 11.001  HEAD         -2 RF Attenuator Setting: 20 dB
 11.002  TSET         TDESC = 20 dB
 11.003  SCPI         INP:ATT 20 DB;:DISP:WIND:TRAC:Y:RLEV -25
 11.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 11.004  LPNX         +Level = -40 dBm; Freq = 64 MHz
 11.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 11.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 11.007  ACC          10.000dB       L1U                                   +DW
 11.008  TARGET       -m
 11.009  CALL         Sub FSV Take Sweep (MKPK)
 11.010  SCPI         CALC:DELT:Y?[I]
 11.011  MEMCX        10.000dB       0.200U

 12.001  HEAD         -2 RF Attenuator Setting: 25 dB
 12.002  TSET         TDESC = 25 dB
 12.003  SCPI         INP:ATT 25 DB;:DISP:WIND:TRAC:Y:RLEV -20
 12.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 12.004  LPNX         +Level = -35 dBm; Freq = 64 MHz
 12.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 12.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 12.007  ACC          15.000dB       L1U                                   +DW
 12.008  TARGET       -m
 12.009  CALL         Sub FSV Take Sweep (MKPK)
 12.010  SCPI         CALC:DELT:Y?[I]
 12.011  MEMCX        15.000dB       0.200U

 13.001  HEAD         -2 RF Attenuator Setting: 30 dB
 13.002  TSET         TDESC = 30 dB
 13.003  SCPI         INP:ATT 30 DB;:DISP:WIND:TRAC:Y:RLEV -15
 13.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 13.004  LPNX         +Level = -30 dBm; Freq = 64 MHz
 13.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 13.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 13.007  ACC          20.000dB       L1U                                   +DW
 13.008  TARGET       -m
 13.009  CALL         Sub FSV Take Sweep (MKPK)
 13.010  SCPI         CALC:DELT:Y?[I]
 13.011  MEMCX        20.000dB       0.200U

 14.001  HEAD         -2 RF Attenuator Setting: 40 dB
 14.002  TSET         TDESC = 40 dB
 14.003  SCPI         INP:ATT 40 DB;:DISP:WIND:TRAC:Y:RLEV -5
 14.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 14.004  LPNX         +Level = -20 dBm; Freq = 64 MHz
 14.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 14.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 14.007  ACC          30.000dB       L1U                                   +DW
 14.008  TARGET       -m
 14.009  CALL         Sub FSV Take Sweep (MKPK)
 14.010  SCPI         CALC:DELT:Y?[I]
 14.011  MEMCX        30.000dB       0.200U

 15.001  HEAD         -2 RF Attenuator Setting: 50 dB
 15.002  TSET         TDESC = 50 dB
 15.003  SCPI         INP:ATT 50 DB;:DISP:WIND:TRAC:Y:RLEV 5
 15.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 15.004  LPNX         +Level = -10 dBm; Freq = 64 MHz
 15.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 15.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 15.007  ACC          40.000dB       L1U                                   +DW
 15.008  TARGET       -m
 15.009  CALL         Sub FSV Take Sweep (MKPK)
 15.010  SCPI         CALC:DELT:Y?[I]
 15.011  MEMCX        40.000dB       0.200U

 16.001  HEAD         -2 RF Attenuator Setting: 60 dB
 16.002  TSET         TDESC = 60 dB
 16.003  SCPI         INP:ATT 60 DB;:DISP:WIND:TRAC:Y:RLEV 15
 16.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 16.004  LPNX         +Level = 0 dBm; Freq = 64 MHz
 16.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 16.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 16.007  ACC          50.000dB       L1U                                   +DW
 16.008  TARGET       -m
 16.009  CALL         Sub FSV Take Sweep (MKPK)
 16.010  SCPI         CALC:DELT:Y?[I]
 16.011  MEMCX        50.000dB       0.200U

 17.001  HEAD         -2 RF Attenuator Setting: 70 dB
 17.002  TSET         TDESC = 70 dB
 17.003  SCPI         INP:ATT 70 DB;:DISP:WIND:TRAC:Y:RLEV 25
 17.004  LPNX         ExtRefFreq = 10 MHz; TimAccOff; OutpImp = 50 Ohms
 17.004  LPNX         +Level = +10 dBm; Freq = 64 MHz
 17.005  MATH         TestUnc = ACCV2(@DevName, @AccMode, MEM1, 64E+6)
 17.006  MATH         L[1] = RSS2(@RefUnc, TestUnc)
 17.007  ACC          60.000dB       L1U                                   +DW
 17.008  TARGET       -m
 17.009  CALL         Sub FSV Take Sweep (MKPK)
 17.010  SCPI         CALC:DELT:Y?[I]
 17.011  MEMCX        60.000dB       0.200U

 18.001  HEAD         -2
 18.002  LPNX         Reset
 18.003  MATH         DEL("@MkrMode")
 18.004  SCPI         SYST:PRES
 18.005  HEAD
 18.006  END

 18.007  EVAL   Increment Test Number

# =====  Sub FSV (1 yr) Phase Noise VER /LPNX  =============================

# It is assumed a direct connection is made between the 9640A-LPNX and UUT.

 19.001  LABEL        PHASE_NOISE
 19.002  RSLT         =
 19.003  HEAD         {PHASE NOISE (Offset from 500 MHz)}
# Query NTHROW parameter value.
 19.004  MATH         @NumThrow = VGET("NTHROW")
# UUT readings are averaged internally. Set NTHROW to zero to expedite test.
 19.005  VSET         NTHROW = 0

 19.006  HEAD         -2 Offset from 500 MHz: 100 Hz
 19.007  TARGET       -p
 19.008  TSET         TDESC = 100 Hz
 19.009  SCPI         SYST:PRES;:INIT:CONT OFF;:SYST:DISP:UPD ON
 19.010  SCPI         FREQ:CENT 500E+6;SPAN 1E+3;:DISP:WIND:TRAC:Y:RLEV 0
 19.010  SCPI         INP:ATT 10 DB
 19.011  LPNX         +Freq = 500 MHz; Level = +3 dBm; OutpImp = 50 Ohms
 19.012  CALL         Sub FSV Take Sweep (MKPK)
# Retrieve marker frequency reading of input signal.
 19.013  SCPI         CALC:MARK:X?[I]
# Compute offset of measured marker frequency relative to nominal.
 19.014  MATH         FreqOffset = 500E+6 - MEM
# Program computed frequency offset to UUT to correct for frequency error.
 19.015  SCPI         FREQ:OFFS [V FreqOffset]
 19.016  CALL         Sub FSV Take Sweep Only
# Reset UUT center frequency to (the now corrected) nominal frequency.
 19.017  SCPI         FREQ:CENT 500E+6;:BAND:VID:RAT 0.1
 19.018  CALL         Sub FSV Take Sweep (MKPK)
 19.019  SCPI         DISP:WIND:TRAC:MODE AVER;:SWE:COUN 20
 19.020  SCPI         CALC:DELT1:FUNC:PNO ON
 19.021  SCPI         FREQ:CENT 500.0001E+6;SPAN 20;:BAND:RES 5
 19.022  TARGET       -m
 19.023  SCPI         [T60000]INIT:IMM
 19.024  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
# Uncertainty is UUT display linearity relative to reference value.
 19.025  ACC          dBc/Hz         0.20U                                 +DW
 19.026  MEMCX        -84.00dBc/Hz   -76.00U

 20.001  HEAD         -2 Offset from 500 MHz: 1 kHz
 20.002  TSET         TDESC = 1 kHz
 20.003  LPNX         +Freq = 500 MHz; Level = +3 dBm; OutpImp = 50 Ohms
 20.004  SCPI         FREQ:CENT 500.001E+6;SPAN 200;:BAND:RES 100
 20.005  TARGET       -m
 20.006  SCPI         INIT:IMM
 20.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 20.008  ACC          dBc/Hz         0.37U                                 +DW
 20.009  MEMCX        -101.00dBc/Hz  -59.00U

 21.001  HEAD         -2 Offset from 500 MHz: 10 kHz
 21.002  TSET         TDESC = 10 kHz
 21.003  LPNX         +Freq = 500 MHz; Level = +3 dBm; OutpImp = 50 Ohms
 21.004  SCPI         FREQ:CENT 500.01E+6;SPAN 2E+3;:BAND:RES 200
 21.005  SCPI         DISP:WIND:TRAC:Y:RLEV -10
 21.006  TARGET       -m
 21.007  SCPI         INIT:IMM
 21.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 21.009  ACC          dBc/Hz         0.37U                                 +DW
 21.010  MEMCX        -106.00dBc/Hz  -54.00U

 22.001  HEAD         -2 Offset from 500 MHz: 100 kHz
 22.002  TSET         TDESC = 100 kHz
 22.003  LPNX         +Freq = 500 MHz; Level = +3 dBm; OutpImp = 50 Ohms
 22.004  SCPI         FREQ:CENT 500.1E+6;SPAN 10E+3;:BAND:RES 1E+3
 22.005  SCPI         INP:ATT 0 DB;:DISP:WIND:TRAC:Y:RLEV -20
 22.006  TARGET       -m
 22.007  SCPI         INIT:IMM
 22.008  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 22.009  ACC          dBc/Hz         0.37U                                 +DW
 22.010  MEMCX        -115.00dBc/Hz  -45.00U

 23.001  HEAD         -2 Offset from 500 MHz: 1 MHz
 23.002  TSET         TDESC = 1 MHz
 23.003  LPNX         +Freq = 500 MHz; Level = +3 dBm; OutpImp = 50 Ohms
 23.004  SCPI         FREQ:CENT 499E+6;SPAN 100E+3;:BAND:RES 10E+3
 23.005  TARGET       -m
 23.006  SCPI         INIT:IMM
 23.007  SCPI         CALC:DELT1:FUNC:PNO:RES?[I]
 23.008  ACC          dBc/Hz         0.28U                                 +DW
 23.009  MEMCX        -134.00dBc/Hz  -26.00U

 24.001  HEAD         -2
 24.002  LPNX         Reset
 24.003  SCPI         SYST:PRES
 24.004  HEAD
# Restore original NTHROW value.
 24.005  VSET         NTHROW = [V @NumThrow]
 24.006  END
