﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Frequency Response Tests /LPNX
DATE:                  2011-08-01
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       126
CONFIGURATION:         Fluke 9640A-LPNX
CONFIGURATION:         Fluke 9640A-50
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV Series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV Take Sweep (MKPK)
#        Sub FSV Set Ref Level (dBm) /9640
#        Sub FSV (1 yr) Frequency Response Test /LPNX
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  SCPI         FREQ:CENT 64E+6;SPAN 100E+3;:BAND:RES 10E+3
  1.002  LPNX         ExtRefFrequency = 10 MHz; TimebaseAccuracyOff
  1.002  LPNX         +Level = -6 dBm; Freq = 64 MHz; OutputImp = 50 Ohms
  1.003  CALL         Sub FSV Take Sweep (MKPK)
  1.004  SCPI         CALC:MARK:Y?[I]
  1.005  MATH         @FSV_RefLvl = -6; @9640Lvl = @FSV_RefLvl
  1.006  MATH         @9640Freq = 64E+6; @9640RefIn = 10E+6; @Error = 0

  1.007  WHILE        ((MEM <= -6.02) || (MEM >= -5.98)) && NOT(@Error)
  1.008  CALL         Sub FSV Set Ref Level (dBm) /9640
  1.009  ENDW

  1.010  IF           @Error
  1.011  EVAL   -e 0 : An error occurred during the [V @TestName].
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  CALL         Sub FSV Take Sweep (MKPK)
  2.005  SCPI         CALC:MARK:Y?[I]

  2.006  IF           (@Atten < 10) && NOT(ISVAR("@B25_On"))
  2.007  MATH         @UUT_SWR = 2.0
  2.008  ELSE
  2.009  MATH         @UUT_SWR = 1.5
  2.010  ENDIF

  2.011  MATH         @RefLvl = MEM

  2.012  IF           @Opt_B29 && (ISVAR("@B29_On"))
  2.013  MATH         @TestFreq = "20 Hz"
  2.014  SCPI         FREQ:SPAN 10;:BAND:RES 3
  2.015  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.016  MATH         @TestFreq = "110 Hz"
  2.017  SCPI         BAND:RES 10
  2.018  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.019  MATH         @TestFreq = "1.01 kHz"
  2.020  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.021  MATH         @TestFreq = "2.01 kHz"
  2.022  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.023  MATH         @TestFreq = "3.01 kHz"
  2.024  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.025  MATH         @TestFreq = "5.01 kHz"
  2.026  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.027  MATH         @TestFreq = "7.01 kHz"
  2.028  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.029  MATH         @TestFreq = "8.99 kHz"
  2.030  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX
  2.031  ENDIF

  2.032  IF           ZCMPI(@Coupling, "(DC)")
  2.033  MATH         @TestFreq = "9 kHz"
  2.034  SCPI         FREQ:SPAN 0;:BAND:RES 10
  2.035  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.036  MATH         @TestFreq = "100.02 kHz"
  2.037  SCPI         BAND:RES 1E+3
  2.038  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX
  2.039  ENDIF

  2.040  MATH         @TestFreq = "1.005 MHz"
  2.041  SCPI         BAND:RES 10E+3
  2.042  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.043  MATH         @TestFreq = "10.15 MHz"
  2.044  SCPI         FREQ:SPAN 100E+3;:BAND:RES 10E+3
  2.045  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.046  MATH         @TestFreq = "51 MHz"
  2.047  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.048  MATH         @TestFreq = "101 MHz"
  2.049  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.050  MATH         @TestFreq = "201 MHz"
  2.051  CALL         Sub FSV (1 yr) Frequency Response Test /LPNX

  2.052  END
