﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Set Configuration Variables
DATE:                  2011-07-28
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       261
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
#  This procedure defines variables to describe the UUT family fitted options,
#  and combinations thereof, for use at runtime to select the desired tests or
#  specifications for the exact configuration of the UUT being verified. It
#  also lists the fitted options to the results.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# For brevity, set flags to identify model numbers.
  1.001  MATH         @FSV3  = FIND(@ModelNum, "FSV-3",  1)
  1.002  MATH         @FSV7  = FIND(@ModelNum, "FSV-7",  1)
  1.003  MATH         @FSV13 = FIND(@ModelNum, "FSV-13", 1)
  1.004  MATH         @FSV30 = FIND(@ModelNum, "FSV-30", 1)
  1.005  MATH         @FSV31 = FIND(@ModelNum, "FSV-31", 1)
  1.006  MATH         @FSV40 = FIND(@ModelNum, "FSV-40", 1)

  1.007  SCPI         SYST:LANG?[I$]
  1.008  MATH         @Language = MEM2

# If original language setting is not SCPI, set UUT to SCPI.
  1.009  IF           NOT(ZCMPI(@Language, "'SCPI'"))
  1.010  SCPI         SYST:LANG 'SCPI'
  1.011  ENDIF

# Due to the fact that some specifications, e.g., Phase Noise, differ based
# on the UUT serial number, this statement parses the serial number from the
# model frequency suffix, e.g., 200585/026, to facilitate test decisions
# within applicable procedures.
  1.012  MATH         @SN = FLD(@SerialNum, 1, "/")

  1.013  RSLT         =
  1.014  HEAD         {INSTALLED OPTIONS}
  1.015  RSLT         =
  1.016  SCPI         *OPT?[I$]
  1.017  MATH         Options = MEM2

# Initialize variable (no options installed).
  1.018  MATH         Option = 0
# Extract installed option codes from ID string.

# Hardware options:
  1.019  MATH         @Opt_B3  = FINDI(Options, "B3",  0)
  1.020  MATH         @Opt_B4  = FINDI(Options, "B4",  0)
  1.021  MATH         @Opt_B5  = FINDI(Options, "B5",  0)
  1.022  MATH         @Opt_B9  = FINDI(Options, "B9",  0)
  1.023  MATH         @Opt_B10 = FINDI(Options, "B10", 0)
  1.024  MATH         @Opt_B21 = FINDI(Options, "B21", 0)
  1.025  MATH         @Opt_B22 = FINDI(Options, "B22", 0)
  1.026  MATH         @Opt_B24 = FINDI(Options, "B24", 0)
  1.027  MATH         @Opt_B25 = FINDI(Options, "B25", 0)
  1.028  MATH         @Opt_B29 = FINDI(Options, "B29", 0)
  1.029  MATH         @Opt_B70 = FINDI(Options, "B70", 0)

# Firmware/software options:
  1.030  MATH         @Opt_K7  = FINDI(Options, "K7",  0)
  1.031  MATH         @Opt_K7S = FINDI(Options, "K7S", 0)
  1.032  MATH         @Opt_K9  = FINDI(Options, "K9",  0)
  1.033  MATH         @Opt_K10 = FINDI(Options, "K10", 0)
  1.034  MATH         @Opt_K14 = FINDI(Options, "K14", 0)
  1.035  MATH         @Opt_K30 = FINDI(Options, "K30", 0)
  1.036  MATH         @Opt_K40 = FINDI(Options, "K40", 0)
  1.037  MATH         @Opt_K70 = FINDI(Options, "K70", 0)
  1.038  MATH         @Opt_K72 = FINDI(Options, "K72", 0)
  1.039  MATH         @Opt_K73 = FINDI(Options, "K73", 0)
  1.040  MATH         @Opt_K74 = FINDI(Options, "K74", 0)
  1.041  MATH         @Opt_K76 = FINDI(Options, "K76", 0)
  1.042  MATH         @Opt_K77 = FINDI(Options, "K77", 0)
  1.043  MATH         @Opt_K82 = FINDI(Options, "K82", 0)
  1.044  MATH         @Opt_K84 = FINDI(Options, "K84", 0)

  1.045  IF           @Opt_B3
  1.046  RSLT         = FSV-B3   (AM/FM Audio Demodulator)
  1.047  MATH         Option = 1
  1.048  ENDIF

  1.049  IF           @Opt_B4
  1.050  RSLT         = FSV-B4   (OCXO, 10 MHz)
  1.051  MATH         Option = 1
  1.052  ENDIF

  1.053  IF           @Opt_B5
  1.054  RSLT         = FSV-B5   (Additional Interfaces)
  1.055  MATH         Option = 1
  1.056  ENDIF

  1.057  IF           @Opt_B9
  1.058  RSLT         = FSV-B9   (Tracking Generator, 100 kHz to 7 GHz)
  1.059  MATH         Option = 1
  1.060  ENDIF

  1.061  IF           @Opt_B10
  1.062  RSLT         = FSV-B10  (External Generator Control)
  1.063  MATH         Option = 1
  1.064  ENDIF

  1.065  IF           @Opt_B21
  1.066  RSLT         = FSV-B21  (External Mixer Support)
  1.067  MATH         Option = 1
  1.068  ENDIF

  1.069  IF           @FSV3

  1.070  IF           @Opt_B22
  1.071  RSLT         = FSV-B22  (RF Preamplifier, 9 kHz to 3.6 GHz)
  1.072  MATH         Option = 1
  1.073  ENDIF

  1.074  ELSEIF       @FSV7

  1.075  IF           @Opt_B22
  1.076  RSLT         = FSV-B22  (RF Preamplifier, 9 kHz to 7 GHz)
  1.077  MATH         Option = 1
  1.078  ENDIF

  1.079  ELSEIF       @FSV13

  1.080  IF           @Opt_B24
  1.081  RSLT         = FSV-B24  (RF Preamplifier, 9 kHz to 13.6 GHz)
  1.082  MATH         Option = 1
  1.083  ENDIF

  1.084  ELSEIF       @FSV30

  1.085  IF           @Opt_B24
  1.086  RSLT         = FSV-B24  (RF Preamplifier, 9 kHz to 30 GHz)
  1.087  MATH         Option = 1
  1.088  ENDIF

  1.089  ELSEIF       @FSV40

  1.090  IF           @Opt_B24
  1.091  RSLT         = FSV-B24  (RF Preamplifier, 9 kHz to 40 GHz)
  1.092  MATH         Option = 1
  1.093  ENDIF

  1.094  ENDIF

  1.095  IF           @Opt_B25
  1.096  RSLT         = FSV-B25  (Electronic Attenuator)
  1.097  MATH         Option = 1
  1.098  ENDIF

  1.099  IF           @Opt_B29
  1.100  RSLT         = FSV-B29  (10 Hz Frequency Extension)
  1.101  MATH         Option = 1
  1.102  ENDIF

  1.103  IF           @Opt_B70
  1.104  RSLT         = FSV-B70  (40 MHz Analysis Bandwidth)
  1.105  MATH         Option = 1
  1.106  ENDIF

  1.107  IF           @Opt_K7
  1.108  RSLT         = FSV-K7   (FM Measurement Demodulator)
  1.109  MATH         Option = 1
  1.110  ENDIF

  1.111  IF           @Opt_K7S
  1.112  RSLT         = FSV-K7S  (FM Stereo Measurements)
  1.113  MATH         Option = 1
  1.114  ENDIF

  1.115  IF           @Opt_K9
  1.116  RSLT         = FSV-K9   (Power Sensor Measurements)
  1.117  MATH         Option = 1
  1.118  ENDIF

  1.119  IF           @Opt_K10
  1.120  RSLT         = FSV-K10  (GSM, EDGE, EDGE Evolution Analysis)
  1.121  MATH         Option = 1
  1.122  ENDIF

  1.123  IF           @Opt_K14
  1.124  RSLT         = FSV-K14  (Spectrogram Measurements)
  1.125  MATH         Option = 1
  1.126  ENDIF

  1.127  IF           @Opt_K30
  1.128  RSLT         = FSV-K30  (Noise Figure and Gain Measurements)
  1.129  MATH         Option = 1
  1.130  ENDIF

  1.131  IF           @Opt_K40
  1.132  RSLT         = FSV-K40  (Phase Noise Measurement)
  1.133  MATH         Option = 1
  1.134  ENDIF

  1.135  IF           @Opt_K10
  1.136  RSLT         = FSV-K10  (GSM, EDGE, EDGE Evolution Analysis)
  1.137  MATH         Option = 1
  1.138  ENDIF

  1.139  IF           @Opt_K70
  1.140  RSLT         = FSV-K70  (Vector Signal Analysis)
  1.141  MATH         Option = 1
  1.142  ENDIF

  1.143  IF           @Opt_K73
  1.144  RSLT         = FSV-K73  (3GPP FDD UE Analysis)
  1.145  MATH         Option = 1
  1.146  ENDIF

  1.147  IF           @Opt_K76
  1.148  RSLT         = FSV-K76  (3GPP TD-SCDMA BTS Measurements)
  1.149  MATH         Option = 1
  1.150  ENDIF

  1.151  IF           @Opt_K77
  1.152  RSLT         = FSV-K77  (TD-SCDMA UE Measurements)
  1.153  MATH         Option = 1
  1.154  ENDIF

  1.155  IF           @Opt_K82
  1.156  RSLT         = FSV-K82  (CDMA2000® /1xEV-DV BTS Analysis)
  1.157  MATH         Option = 1
  1.158  ENDIF

  1.159  IF           @Opt_K84
  1.160  RSLT         = FSV-K84  (CDMA2000®/1xEV-DO BTS Analysis)
  1.161  MATH         Option = 1
  1.162  ENDIF

  1.163  IF           NOT(Option)
  1.164  RSLT         = No Options Installed
  1.165  ENDIF

  1.166  END
