﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV Take Sweep Only
INSTRUMENT:            Sub FSV Take Sweep (MKF)
INSTRUMENT:            Sub FSV Take Sweep (MKCF)
INSTRUMENT:            Sub FSV Take Sweep (MKPK)
INSTRUMENT:            Sub FSV Take Sweep (MKPK, MKCF)
DATE:                  2011-07-07
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       89
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        None
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  MATH         Sweeps = 2

  1.002  WHILE        Sweeps > 0
  1.003  SCPI         [T60000]INIT:IMM

# Mode: Marker to Frequency.
  1.004  IF           PSUBI("MKF")

  1.005  IF           ISVAR("@MkrMode")

  1.006  IF           ZCMPI(@MkrMode, "Delta")
  1.007  SCPI         CALC:DELT:X [V @MarkerFreq]
  1.008  ELSE
  1.009  SCPI         CALC:MARK:X [V @MarkerFreq]
  1.010  ENDIF

  1.011  ELSE
  1.012  SCPI         CALC:MARK:X [V @MarkerFreq]
  1.013  ENDIF

# Mode: Marker to Center Frequency.
  1.014  ELSEIF       PSUBI("MKCF")
  1.015  SCPI         CALC:MARK:FUNC:CENT

# Mode: Marker to Peak.
  1.016  ELSEIF       PSUBI("MKPK")

  1.017  IF           ISVAR("@MkrMode")

  1.018  IF           ZCMPI(@MkrMode, "Delta")
  1.019  SCPI         CALC:DELT:MAX
  1.020  ELSE
  1.021  SCPI         CALC:MARK:MAX
  1.022  ENDIF

  1.023  ELSE
  1.024  SCPI         CALC:MARK:MAX
  1.025  ENDIF

# Mode: Marker to Peak, (Peak) Marker to Center Frequency.
  1.026  ELSEIF       PSUBI("MKPK, MKCF")
  1.027  SCPI         CALC:MARK:MAX;:CALC:MARK:FUNC:CENTER
  1.028  ENDIF

  1.029  MATH         Sweeps = Sweeps - 1
  1.030  ENDW

  1.031  END
