﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub FSV µW Frequency Response Tests /4418,SWPG
DATE:                  2011-07-29
AUTHOR:                Fluke Calibration
REVISION:              $Revision: 2619 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       2
NUMBER OF LINES:       135
CONFIGURATION:         Agilent E4418B
CONFIGURATION:         HP 8481A on channel 1
CONFIGURATION:         Sweep Generator
=============================================================================
#
#  Procedure Author:
#        DFM
#
#  Model(s) Covered:
#        Rohde & Schwarz FSV series > 6.999 GHz, <= 13.6 GHz
#
#  Compatibility:
#        MET/CAL 7.3 SP1 (7.3.36) or later
#
#  Subprocedures:
#        Sub FSV µW Frequency Response Test /4418,SWPG
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  Example:
# 1.001  MATH         @TestFreq = 3.61E+9
# 1.002  CALL         Sub FSV µW Frequency Response Test /4418,SWPG
#
#  The copyright for this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
# M4418 statement to allow procedure to compile.
  1.002  M4418  F64   8481A
  1.003  IEEE         [@SWPG]
  1.004  ENDIF

  1.005  MATH         @SWPG_Freq = "64MHz"; @SWPG_Ampl = "0dBm"
  1.006  CALL         Sub Apply /SWPG
  1.007  CALL         Sub FSV Take Sweep (MKPK)
  1.008  MATH         @CenterFreq = 64E+6; @RefLvl = -6; @TestLvl = 0
  1.009  MATH         @LoLimit = @RefLvl - 0.02; @HiLimit = @RefLvl + 0.02
  1.010  M4418  F64   8481A
  1.011  CALL         Sub Level Signal /4418,8481,SWPG

  1.012  IF           @Error
  1.013  EVAL   -e 0 : An error occurred during the [V @TestName] test.
  2.001  MATH         @Error = 0
  2.002  END
  2.003  ENDIF

  2.004  MATH         @RefPower       = MEM
  2.005  MATH         @DevName1       = "Agilent E4418B"
  2.006  MATH         @SensorAccMode  = "Watts 100mW F64"
  2.007  MATH         @SensorSWR_Mode = "SWR 8481A"
  2.008  MATH         @DevName2       = "Agilent 11667A"
  2.009  MATH         @SpltrSWR_Mode  = "Output SWR"
  2.010  MATH         @SpltrTrackMode = "Tracking"
  2.011  MATH         @TestFreq       = @CenterFreq

  2.012  IF           (@Atten < 10)
  2.013  MATH         @UUT_SWR = 2.0
  2.014  ELSE
  2.015  MATH         @UUT_SWR = 1.5
  2.016  ENDIF

  2.017  CALL         Sub Compute Power Splitter Leveling Uncertainty
# Relative reference uncertainty at 64 MHz.
  2.018  MATH         @RefUncPct = @LevelUncPct
  2.019  CALL         Sub FSV Take Sweep (MKPK)
  2.020  SCPI         CALC:MARK:Y?[I]
# After establishing reference power, store UUT reference level.
  2.021  MATH         @RefLvl = MEM
  2.022  MATH         @LoLimit = MEM - 0.02; @HiLimit = MEM + 0.02

  2.023  MATH         @TestFreq = 7.001E+9
  2.024  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.025  MATH         @TestFreq = 7.501E+9
  2.026  TOL          2.500U
  2.027  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.028  MATH         @TestFreq = 8.001E+9
  2.029  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.030  MATH         @TestFreq = 8.501E+9
  2.031  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.032  MATH         @TestFreq = 9.001E+9
  2.033  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.034  MATH         @TestFreq = 9.501E+9
  2.035  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.036  MATH         @TestFreq = 10.001E+9
  2.037  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.038  MATH         @TestFreq = 10.501E+9
  2.039  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.040  MATH         @TestFreq = 11.001E+9
  2.041  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.042  MATH         @TestFreq = 11.501E+9
  2.043  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.044  MATH         @TestFreq = 12.001E+9
  2.045  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.046  MATH         @TestFreq = 12.501E+9
  2.047  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.048  MATH         @TestFreq = 13.001E+9
  2.049  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.050  MATH         @TestFreq = 13.501E+9
  2.051  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.052  MATH         @TestFreq = 13.599E+9
  2.053  CALL         Sub FSV µW Frequency Response Test /4418,SWPG

  2.054  END
